{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDaybookNominal                                }
{                                                                             }
{*****************************************************************************}

unit LKDaybookNominalDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls, StdActns,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin, Grids, DBGrids,
  JvExExtCtrls,JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKdlgs, LKDBControls, LKDaybookBaseDlg, LKDefine, LKUtils, LKBaseComponent,
  LKRecordsComponents, LKAccountsComponents, LKUtilComponents;

type
  TFormLKDaybookNominal = class(TFormLKDaybookBase)
    ActionViewNominalCodes: TAction;
    ActionViewCostCodes: TAction;
    ActionSetNominalTransactionPostingDetail: TAction;
    Nominaltransactionpostingdetail1: TMenuItem;
    ToolButton1: TToolButton;
    procedure ActionViewNominalCodesExecute(Sender: TObject);
    procedure ActionViewCostCodesExecute(Sender: TObject);
    procedure ActionSetNominalTransactionPostingDetailExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKDaybookNominal;
  public
    { Public declarations }
    procedure Construct(Sender: TLKDaybookNominal);
  end;

var
  FormLKDaybookNominal: TFormLKDaybookNominal;

implementation

{$R *.dfm}

procedure TFormLKDaybookNominal.Construct(Sender: TLKDaybookNominal);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  ActionViewCostCodes.Enabled :=
    Assigned(FMyAccountsComponent.NominalLedger.CostLedger);
end;

procedure TFormLKDaybookNominal.ActionViewNominalCodesExecute(Sender: TObject);
begin
  FMyAccountsComponent.NominalLedger.NominalCodes.View(null, False, []);
end;

procedure TFormLKDaybookNominal.ActionViewCostCodesExecute(Sender: TObject);
begin
  FMyAccountsComponent.NominalLedger.CostLedger.CostCentres.View(null,False,[]);
end;

procedure TFormLKDaybookNominal.ActionSetNominalTransactionPostingDetailExecute(
  Sender: TObject);
begin
  with TLKViewDialog.Create(Self) do
  try
    DataType := vRadioGroup;
    Title := 'Nominal Postings';
    HeaderCaption := 'Select how much detail to post';
    HeaderComments := 'You can post all the detail items individually, summary'
      + ' totals for the document or a batch total only';
    ChoiceItems.Add('Full detail');
    ChoiceItems.Add('Document summary');
    ChoiceItems.Add('Batch totals only');
    Value := Ord(FMyAccountsComponent.PostNominalTransactionDetail);
    if Execute then
      FMyAccountsComponent.PostNominalTransactionDetail
        := TLKPostNominalTransactionDetail(Value);
  finally Free;
  end;
end;

end.

