{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDocumentsCashBook                             }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsCashBookDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  System.Actions,
  Dialogs, LKDocumentsSalesTaxDlg, Menus, ImgList, ActnList, DB, StdActns,
  StdCtrls, Grids, DBGrids, ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKAccountsComponents, LKdlgs, LKLedgerContactAllocateDlg,
  LKDBControls, LKUtilComponents;

type
  TFormLKDocumentsCashBook = class(TFormLKDocumentsSalesTax)
    ActionContactLedgerPayment: TAction;
    procedure ActionContactLedgerPaymentExecute(Sender: TObject);
  private
    FMyAccountsComponent: TLKDocumentsCashBook;
  public
    procedure Construct(Sender: TLKDocumentsCashBook);
  end;

var
  FormLKDocumentsCashBook: TFormLKDocumentsCashBook;

implementation

{$R *.dfm}

{
************************ TFormLKDocumentsBankPayments *************************
}

procedure TFormLKDocumentsCashBook.ActionContactLedgerPaymentExecute(Sender:
  TObject);
var
  myCL: TLKLedgerContact;
  myCLAccount: Variant;
begin
  inherited;
  with FMyAccountsComponent do
  begin
    myCL :=
      TLKLedgerContact(AccountsHub.Ledgers[TAction(Sender).ActionComponent.Tag]);
    myCLAccount := null;
    if (myCL.DlgSelectRecordExecute('Select account', myCLAccount) = mrOK) then
      DlgContactLedgerPaymentExecute(Self, myCL);
  end;
end;

procedure TFormLKDocumentsCashBook.Construct(Sender: TLKDocumentsCashBook);
var
  i, x: Integer;
  AreLedgers: Boolean;
  newAction: TAction;
  newMenuitem: TMenuItem;
begin        
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  AreLedgers := false;
  with FMyAccountsComponent.AccountsHub do
  begin
    with Ledgers do
    begin
      for i := 0 to Count - 1 do
        if (Items[i] is TLKLedgerContact) then
          with Items[i] do
          begin
            AreLedgers := true;
            newAction := TAction.Create(Self);
            with newAction do
            begin
              ActionList := ActionListAcsComp;
              Caption := '&' + NameFriendly;
              ImageIndex := 14;
              Hint := NameFriendly + ' payment';
              //    Tag := x;
              OnExecute := ActionContactLedgerPaymentExecute;
            end;
            newMenuitem := TMenuItem.Create(miActivities);
            newMenuItem.Action := newAction;
            //newMenuItem.ImageIndex := 14;
            miActivities.Add(newMenuitem);
            with ToolBar1.Buttons[ToolBar1.ButtonCount - 1] do
              x := Left + Width + 1;
            with TToolButton.Create(Self) do
            begin
              Action := newAction;
              Tag := i;
              Left := x;
              Parent := Toolbar1;
            end;
          end;
    end;
  end;
  with ToolBar1 do
    if not Visible then
      Visible := AreLedgers;
end;

end.

