{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDocumentsContact record                       }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsContactRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls, DBCtrls, ExtCtrls, ComCtrls,
  Buttons, ToolWin, StdActns, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKAccountsComponents, LKUtils, LKdlgs, LKDBControls,
  LKDocumentsSalesTaxRecordDlg, LKUtilComponents;

type
  TFormLKDocumentsContactRecord = class(TFormLKDocumentsSalesTaxRecord)
  private
    { Private declarations }
    FMyAccountsComponent: TLKDocumentsContact;
  protected
    procedure CustomiseDetailEdits; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKDocumentsContact);
  end;

var
  FormLKDocumentsContactRecord: TFormLKDocumentsContactRecord;

implementation

{$R *.dfm}

{ TFormLKDocumentsContactRecord }

procedure TFormLKDocumentsContactRecord.Construct(Sender: TLKDocumentsContact);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsContactRecord.CustomiseDetailEdits;
var
  I: integer;
  GoodsReadOnly: boolean;
begin
  inherited;
  GoodsReadOnly := false;
  if Assigned(DetailEditList) then
    with DetailEditList do
      for I := 0 to Count - 1 do
        with Items[I] do
        begin
          if (FieldName = 'RATE') then
          begin
            OnExit := ActionPostEditDetailDB.OnExecute;
            GoodsReadOnly := true;
          end;
          // goods is Qty x rate so make read only if these fields exist
          if (FieldName = 'GOODS') then
            ReadOnly := GoodsReadOnly;
        end;
end;

end.

