{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for entry of an employee "benefit in kind" expense. (incomplete)  }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsNominalRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, Db, ComCtrls, StdCtrls, DBCtrls, Buttons, ToolWin,
  ExtCtrls, DBGrids, variants, Mask, JvExMask, JvToolEdit, JvDBControls,
  LKRecordsComponents, LKAccountsComponents, LKRecordsSequencedRecordDlg,
  LKUtils, LKUtilComponents, LKdlgs, LKRecordsBaseRecordDlg, StdActns, Grids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKDBControls;

type
  TFormLKDocumentsNominalRecord = class(TFormLKRecordsSequencedRecord)
    LabelNominalDescription: TLabel;
    LabelCostDescription: TLabel;
    ActionNominalExit: TAction;
    ActionCostExit: TAction;
    procedure ActionNextItemExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ActionCostExitExecute(Sender: TObject);
    procedure ActionNominalExitExecute(Sender: TObject);
    procedure DSShowDetailDataChange(Sender: TObject; Field: TField);
  private
    FMyDocumentsNominal: TLKDocumentsNominal;
  protected
    dbeCost: TDBEdit;
    dbeDate: TJvDBDateEdit;
    dbeDGoods: TDBEdit;
    dbeNominal: TDBEdit;
    procedure CustomiseMasterEdits; override;
    procedure SetDetailEditsActions; override;
  public
    procedure Construct(Sender: TLKDocumentsNominal);
  end;

var
  FormLKDocumentsDaybookInputDetail: TFormLKDocumentsNominalRecord;

implementation

{$R *.DFM}
uses LKDefine;

procedure TFormLKDocumentsNominalRecord.ActionCostExitExecute(
  Sender: TObject);
begin
  if (dbeCost.Field.AsString > '') then
   LabelCostDescription.Caption :=
     FMyDocumentsNominal.NominalLedger.CostLedger.CostCentres.tmDescription;
end;

procedure TFormLKDocumentsNominalRecord.ActionNextItemExecute(Sender: TObject);
begin
  LabelNominalDescription.Caption := '';
  LabelCostDescription.Caption := '';
  inherited;
end;

procedure TFormLKDocumentsNominalRecord.ActionNominalExitExecute(
  Sender: TObject);
begin
  if (dbeNominal.Field.AsString > '') then
   LabelNominalDescription.Caption :=
     FMyDocumentsNominal.NominalLedger.NominalCodes.TmDescription;
end;

procedure TFormLKDocumentsNominalRecord.Construct(Sender:
  TLKDocumentsNominal);
begin
  FMyDocumentsNominal := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsNominalRecord.CustomiseMasterEdits;
var
  i: Integer;
begin
  inherited;
  with MasterEditList do
    for i := 0 to Count - 1 do
      with Items[i] do
      begin
        if (FieldName = 'DATE_') then
          dbeDate := TJvDBDateEdit(EditControl);
        if (FieldName = 'TOTAL') then
          ReadOnly := true;
      end;
end;

procedure TFormLKDocumentsNominalRecord.DSShowDetailDataChange(Sender: TObject;
  Field: TField);
begin
  inherited;
//    ActionNominalExit.Execute;
//    ActionCostExit.Execute;
end;

procedure TFormLKDocumentsNominalRecord.FormShow(Sender: TObject);
begin              
  LabelNominalDescription.Caption := '';
  LabelCostDescription.Caption := '';
  inherited;
end;

procedure TFormLKDocumentsNominalRecord.SetDetailEditsActions;
var
  i: Integer;
begin
  inherited;
  if Assigned(DetailEditList) then
    with DetailEditList do
      for i := 0 to Count - 1 do
        with Items[i] do
        begin
          if (FieldName = 'NOMINAL_CODE') then
          begin
            ControlType := dbcDCLookup;
            with TLKDBDCLookupEdit(EditControl) do
            begin
              LookupDataComponent :=
                FMyDocumentsNominal.NominalLedger.NominalCodes;
              LookupDataset := tbMaster;
            end;
            dbeNominal := TDBEdit(EditControl);
            OnExit := ActionNominalExit.OnExecute;
            LabelNominalDescription.Top := dbeNominal.Top;
          end;
          if (FieldName = 'COST_CENTRE') then
          begin
            ControlType := dbcDCLookup;
            with TLKDBDcLookupEdit(EditControl) do
            begin
              LookupDataComponent :=
                FMyDocumentsNominal.NominalLedger.CostLedger.CostCentres;
              LookupDataset := tbMaster;
            end;
            dbeCost := TDBEdit(EditControl);
            OnExit := ActionCostExit.OnExecute;
            LabelCostDescription.Top := dbeCost.Top;
          end;
          if (FieldName = 'GOODS') then
          begin
            dbeDGoods := TDBEdit(EditControl);
            if (dbeDGoods <> DBEDLast) then
              OnExit := ActionPostEditDetailDB.OnExecute;
          end;
        end;
end;

end.

