{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDocumentsNominal record                       }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsPIIDDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, Variants,
  Buttons, ExtCtrls, Mask, DBCtrls, Grids, DBGrids, Db, Dialogs,
  LKRecordsComponents, JvExMask, JvToolEdit, JvDBControls;

type
  TLKDocumentP11DDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    P11DEmployeeDS: TDataSource;
    P11DDS: TDataSource;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DBGrid1: TDBGrid;
    btnOKPlus: TButton;
    DBText1: TDBText;
    DBText2: TDBText;
    DBRadioGroup1: TDBRadioGroup;
    DBEdit1: TJvDBDateEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    sbP11D: TSpeedButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure OKBtnClick(Sender: TObject);
    procedure btnOKPlusClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure sbP11DClick(Sender: TObject);
  private
    { Private declarations }
 //   MyDaybook : TDaybookBase;
  public
    { Public declarations }
    MyP11D: TLKDataComponent;
    procedure Execute(Sender: TLKDataComponent);
  end;

var
  LKDocumentP11DDlg: TLKDocumentP11DDlg;

implementation

uses LKutils;

{$R *.DFM}

procedure TLKDocumentP11DDlg.Execute(Sender: TLKDataComponent);
begin
  //MyDaybook := sender;
  with MyP11D do
  begin
    Close;
    TblMasterDataSource := P11DEmployeeDS;
    TblDetailDataSource := P11DDS;
    Open;
    TblDetail.Insert;
  end;
  show;
end;

procedure TLKDocumentP11DDlg.FormKeyPress(Sender: TObject; var Key: Char);
begin
  moveMyFocus(self, key);
end;

procedure TLKDocumentP11DDlg.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree;
  inherited;
end;

procedure TLKDocumentP11DDlg.OKBtnClick(Sender: TObject);
var
  s: string;
begin
  with myP11D do
  begin
    s := TblMaster.FieldByName('EMPLOYEE_REFERENCE').AsString;
    with TblDetail do
    begin
      if not (State in [dsEdit, dsInsert]) then
        edit;
      fieldByName('EMPLOYEE_REFERENCE').asString := s;
      post;
    end
  end;
end;

procedure TLKDocumentP11DDlg.btnOKPlusClick(Sender: TObject);
//var s : string;
begin
  with myP11D.TblDetail do
  begin
    {s := TblMaster.fieldByName('Employee_reference').asString;
    with  do
     begin
     if not (state in [dsEdit,dsInsert]) then edit;
     fieldByName('Employee_reference').asString := s;}
    post;
    insert;
  end;
end;

procedure TLKDocumentP11DDlg.CancelBtnClick(Sender: TObject);
begin
  myP11D.TblDetail.Cancel;
end;

procedure TLKDocumentP11DDlg.sbP11DClick(Sender: TObject);
begin
  myP11D.View(null, true, [mbOK]);
end;

end.

