{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDocumentsSalesTax                              }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsSalesTaxDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdActns, Grids, DBGrids,
  StdCtrls, DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKAccountsComponents, LKUtils, LKRecordsPostingDlg,
  LKdlgs, LKUtilComponents, LKDBControls;

type
  TFormLKDocumentsSalesTax = class(TFormLKRecordsPosting)
  private
    FMyAccountsComponent: TLKDocumentsSalesTax;
  protected
    procedure CustomisedbGridMaster; override;
  public
    procedure Construct(Sender: TLKDocumentsSalesTax);
  end;

var
  FormLKDocumentsSalesTax: TFormLKDocumentsSalesTax;

implementation

{$R *.dfm}

{ TFormLKDocumentsSalesTax }

{
*************************** TFormLKDocumentsSalesTax ***************************
}

procedure TFormLKDocumentsSalesTax.Construct(Sender: TLKDocumentsSalesTax);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsSalesTax.CustomisedbGridMaster;
var
  i: Integer;
begin
  inherited;
  with dbGridMaster do
    for i := 0 to Count - 1 do
      with Items[i] do
        if (FieldName = 'VAT_PERIOD') then
          ReadOnly := True;
end;

end.

