{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerAnalysis                                }
{                                                                             }
{*****************************************************************************}

unit LKLedgerAnalysisDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, LKdlgs, Db, StdCtrls, DBCtrls, Grids, DBGrids,
  Buttons, ToolWin, ComCtrls, ExtCtrls, Variants, StdActns,
  JvExExtCtrls,  JvExDBGrids, JvDBGrid, JvDBUltimGrid, JvNetscapeSplitter,
  LKDBControls, LKUtilComponents, LKRecordsComponents, LKAccountsComponents,
  LKLedgerBaseDlg;

type
  TFormLKAnalysisLedger = class(TFormLKLedgerBase)
    Journal1: TMenuItem;
    ActionViewDeferred: TAction;
    ActionJournal: TAction;
    sbJournal: TToolButton;
    Deferredpostings1: TMenuItem;
    procedure ActionJournalExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerAnalysis;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerAnalysis);
  end;

var
  FormLKAnalysisLedger: TFormLKAnalysisLedger;

implementation

{$R *.DFM}

{
***************************** TFormAnalysisLedger ******************************
}

procedure TFormLKAnalysisLedger.Construct(Sender: TLKLedgerAnalysis);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  ActionNew.Visible := false;
end;

procedure TFormLKAnalysisLedger.ActionJournalExecute(Sender: TObject);
begin
  FMyAccountsComponent.AccountsHub.Journal.RecordNew;
end;

end.

