{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerAnalysisManagementAccounts              }
{                                                                             }
{*****************************************************************************}

unit LKLedgerAnalysisManagementAccountsDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls, DBCtrls, StdActns,
  ExtCtrls, ComCtrls, Buttons, ToolWin, Grids, DBGrids,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDBControls, LKUtilComponents, LKRecordsComponents, LKAccountsComponents,
  LKdlgs, LKDataComponentDetailDlg;

type
  TFormLKLedgerAnalysisManagementAccounts = class(TFormLKDataComponentDetail)
    ActionCalcManagementAccounts: TAction;
    ActionViewManagementAccountsReportLayouts: TAction;
    ActionPrintManagementAccounts: TAction;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton4: TToolButton;
    procedure ActionCalcManagementAccountsExecute(Sender: TObject);
    procedure ActionViewManagementAccountsReportLayoutsExecute(Sender: TObject);
    procedure ActionPrintManagementAccountsExecute(Sender: TObject);
  private
    { Private declarations }
    FMyDataComponent: TLKLedgerAnalysisManagementAccounts;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerAnalysisManagementAccounts);
  end;

var
  FormLKLedgerAnalysisManagementAccounts:
    TFormLKLedgerAnalysisManagementAccounts;

implementation

{$R *.dfm}

procedure TFormLKLedgerAnalysisManagementAccounts.Construct(
  Sender: TLKLedgerAnalysisManagementAccounts);
begin
  FMyDataComponent := Sender;
  inherited Construct(Sender);
end;

procedure
  TFormLKLedgerAnalysisManagementAccounts.ActionCalcManagementAccountsExecute(
  Sender: TObject);
begin
  with FMyDataComponent do
  begin
    ExternalDisableControls;
    MasterComponent.ExternalDisableControls;
    try
      ManagementAccountsCalculate;
    finally
      MasterComponent.ExternalEnableControls;
      ExternalEnableControls;
    end;
  end;
end;

procedure
  TFormLKLedgerAnalysisManagementAccounts.ActionViewManagementAccountsReportLayoutsExecute(
  Sender: TObject);
begin
  FMyDataComponent.ContainerComponent.ReportLines.View(null, false, []);
end;

procedure
  TFormLKLedgerAnalysisManagementAccounts.ActionPrintManagementAccountsExecute(
  Sender: TObject);
begin
  FMyDataComponent.DlgManagementAccountsPrintExecute;
end;

end.

