{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for the display of TLKDataComponent                               }
{                                                                             }
{*****************************************************************************}

unit LKLedgerAnalysisReportLinesDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ImgList, Menus, ActnList, Db, DBClient, Variants,
  DBCtrls, DBGrids, Buttons, ExtCtrls, ToolWin, Grids, Contnrs, StdActns,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDlgs, LKUtils, LKUtilComponents, LKDefine, LKRecordsComponents,LKDBControls,
  LKDataCompBaseDlg, LKAccountsComponents, LKDataCompCommonDlg, LKBaseComponent,
  JvDBCheckBox;

type
  TFormLKLedgerAnalysisReportLines = class(TFormLKDataComponentBase)
    ActionNew: TAction;
    ActionCheckAllAccountTotals: TAction;
    New1: TMenuItem;
    PopupBreak2: TMenuItem;
    PanelData: TPanel;
    ActionViewAllRecords: TAction;
    ActionViewMasterPanel: TAction;
    Panel1: TPanel;
    Splitter1: TSplitter;
    JvDBUltimGrid1: TJvDBUltimGrid;
    Panel2: TPanel;
    JvDBUltimGrid2: TJvDBUltimGrid;
    DSMasterTblMaster: TDataSource;
    DSMasterTblDetail: TDataSource;
    DSShowDetail: TDataSource;
    PanelReport: TPanel;
    PanelReportSectioms: TPanel;
    Splitter2: TSplitter;
    Panel3: TPanel;
    PanelSummaryReportLines: TPanel;
    GridMaster: TJvDBUltimGrid;
    Splitter3: TSplitter;
    Panel4: TPanel;
    PanelDetailreportLines: TPanel;
    JvDBUltimGrid3: TJvDBUltimGrid;
    DBNavigator1: TDBNavigator;
    DBNavigator2: TDBNavigator;
    DBNavigator3: TDBNavigator;
    DBNavigator4: TDBNavigator;
    LKHeaderPanel1: TLKHeaderPanel;
    Splitter4: TSplitter;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ActionViewNominalCodes: TAction;
    ToolButton4: TToolButton;
    JvDBCheckBox1: TJvDBCheckBox;
    JvDBCheckBox2: TJvDBCheckBox;
    JvDBCheckBox3: TJvDBCheckBox;
    JvDBCheckBox4: TJvDBCheckBox;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ActionViewNominalCodesExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure JvDBCheckBox1Exit(Sender: TObject);
    procedure JvDBCheckBox2Exit(Sender: TObject);
    procedure DBNavigator3BeforeAction(Sender: TObject; Button: TNavigateBtn);
  private
    { Private declarations }
    FMyDataComponent: TLKLedgerAnalysisReportLines;
  protected
    miViewAllDocs: TMenuItem;
    procedure SetDataSourceDataSets; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerAnalysisReportLines);
  end;

var
  FormLKLedgerAnalysisReportLines: TFormLKLedgerAnalysisReportLines;

implementation

{$R *.DFM}
uses LKDataComponentRecordDlg;

procedure TFormLKLedgerAnalysisReportLines.SetDataSourceDataSets;
begin
  with FMyDataComponent do
  begin
    MasterComponent.TblMasterDataSource := DSMasterTblMaster;
    MasterComponent.TblDetailDataSource := DSMasterTblDetail;
    TblDetailDataSource := DSShowDetail;
  end;
  inherited;
end;

procedure TFormLKLedgerAnalysisReportLines.ActionViewNominalCodesExecute(
  Sender: TObject);
begin
  FMyDataComponent.AccountsHub.NominalLedger.NominalCodes.DlgViewExecute;
end;

procedure TFormLKLedgerAnalysisReportLines.Construct(Sender: TLKLedgerAnalysisReportLines);
begin
  FMyDataComponent := Sender;
  inherited Construct(Sender);
  {
  with FMyDataComponent do
  begin
   //create menu items for each action
    with ActionList do
      for i := 0 to ActionCount - 1 do
        if (Actions[i].Category <> 'DetailTable') then
        begin
          newMenuitem := TMenuitem.Create(Self);
          newMenuitem.Action := Actions[i];
          miActivities.Add(newMenuitem);
            //add new menu item to 'Activities' men
          with ToolBar1.Buttons[ToolBar1.ButtonCount - 1] do
            x := Left + Width + 1;
          with TToolButton.Create(Self) do //created button setup
          begin
            Left := x;
            Parent := Toolbar1;
            Action := Actions[i];
          end;
        end; //for...
  end;
  }
end;

procedure TFormLKLedgerAnalysisReportLines.DBNavigator3BeforeAction(
  Sender: TObject; Button: TNavigateBtn);
begin
  case Button of
    nbInsert: FMyDataComponent.OKToInsert := True;
  end;
end;

procedure TFormLKLedgerAnalysisReportLines.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  with FMyDataComponent.MasterComponent do
  begin
    Post;
    ApplyUpdates(0);
  end;
  inherited;
end;

procedure TFormLKLedgerAnalysisReportLines.FormShow(Sender: TObject);
begin
  inherited;
  FMyDataComponent.OKToInsert := True;
  with JvDBUltimGrid1.EditControls do
  begin
    Clear;
    with Add do
    begin
      FieldName := JvDBCheckBox1.DataField;
      ControlName := JvDBCheckBox1.Name;
      FitCell := fcCellSize;
    end;
  end;
  with JvDBUltimGrid2.EditControls do
  begin
    Clear;
    with Add do
    begin
      FieldName := JvDBCheckBox2.DataField;
      ControlName := JvDBCheckBox2.Name;
      FitCell := fcCellSize;
    end;
    with Add do
    begin
      FieldName := JvDBCheckBox3.DataField;
      ControlName := JvDBCheckBox3.Name;
      FitCell := fcCellSize;
    end;
    with Add do
    begin
      FieldName := JvDBCheckBox4.DataField;
      ControlName := JvDBCheckBox4.Name;
      FitCell := fcCellSize;
    end;
  end;
end;

procedure TFormLKLedgerAnalysisReportLines.JvDBCheckBox1Exit(Sender: TObject);
begin
  inherited;
  JvDBUltimGrid1.CloseControl;
end;

procedure TFormLKLedgerAnalysisReportLines.JvDBCheckBox2Exit(Sender: TObject);
begin
  inherited;
  JvDBUltimGrid2.CloseControl;
end;

end.

