{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerCash                                    }
{                                                                             }
{*****************************************************************************}

unit LKLedgerCashDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, Db, ComCtrls, StdCtrls, StdActns, DBCtrls, Buttons,
  ExtCtrls, ToolWin, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvExExtCtrls, JvNetscapeSplitter, JvDBUltimGrid,
  LKdlgs, LKRecordsComponents, LKLedgerNominalControlDlg, LKDBControls,
  LKAccountsComponents,LKUtilComponents;

type
  TFormCashLedger = class(TFormLKLedgerNominalControl)
    ActionRefreshBalances: TAction;
    RefreshBalances1: TMenuItem;
    sbRefreshBalances: TToolButton;
    procedure ActionRefreshBalancesExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerCash;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerCash);
  end;

var
  FormCashLedger: TFormCashLedger;

implementation

{$R *.DFM}

procedure TFormCashLedger.Construct(Sender: TLKLedgerCash);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormCashLedger.ActionRefreshBalancesExecute(Sender: TObject);
begin
  FMyAccountsComponent.RefreshBalances;
end;

end.

