{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerContact                                 }
{                                                                             }
{*****************************************************************************}

unit LKLedgerContactDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, System.UITypes,
  Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, LKdlgs, Db, StdCtrls, DBCtrls, StdActns,
  Buttons, ToolWin, ComCtrls, ExtCtrls, Grids, DBGrids,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDefine, LKRecordsComponents, LKutils, LKDBControls, LKUtilComponents,
  LKAccountsComponents, LKLedgerNominalControlDlg;

type
  TFormLKLedgerContact = class(TFormLKLedgerNominalControl)
    ActionPrintEnvelope: TAction;
    ActionRecalculateAgeing: TAction;
    Recalculateaccountageing1: TMenuItem;
    ActionSetClearedNotCurrent: TAction;
    SetCleareditemsNotCurrent1: TMenuItem;
    sbEnvelope: TToolButton;
    procedure ActionPrintEnvelopeExecute(Sender: TObject);
    procedure elocateChange(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure elocateExit(Sender: TObject);
    procedure ActionRecalculateAgeingExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerContact;
  protected
    locateChar: word;
    procedure CustomisedbGridMaster; override;
  public
    procedure Construct(Sender: TLKLedgerContact);
  end;

var
  FormLKLedgerContact: TFormLKLedgerContact;

implementation

//uses LKLedgerContactAllocateDlg;

{$R *.DFM}

{
****************************** TFormContactLedger ******************************
}

procedure TFormLKLedgerContact.Construct(Sender: TLKLedgerContact);
var
  f: TField;
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  f := FMyAccountsComponent.TblMaster.indexfields[0];
  lLocate.Caption := '&' + f.DisplayName;
  locateChar := word(f.DisplayName[1]);
end;

procedure TFormLKLedgerContact.ActionPrintEnvelopeExecute(Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.DlgPrintEnvelopeExecute('', [4, 5, 6, 7, 8], false);
end;

procedure TFormLKLedgerContact.elocateChange(Sender: TObject);
var
  fname: string;
begin
  inherited;
  if (eLocate.Text = '') then
    exit;
  fname := CleanSQLName(lLocate.Caption);
  FMyAccountsComponent.TblMaster.Locate(fname, eLocate.Text, [loCaseInsensitive,
    loPartialKey]);
end;

procedure TFormLKLedgerContact.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  inherited;
  if (Shift = [ssAlt]) and (key = locateChar) then
    eLocate.SetFocus;
end;

procedure TFormLKLedgerContact.elocateExit(Sender: TObject);
begin
  inherited;
  GridMaster.SetFocus;
end;

procedure TFormLKLedgerContact.ActionRecalculateAgeingExecute(Sender: TObject);
begin
  inherited;
  with FMyAccountsComponent do
    if (MessageDlg('Calculate this Account or All accounts?',
      mtInformation, [mbYes, mbAll], 0) = mrAll) then
    begin
      Screen.Cursor := crHourGlass;
      try
        if TblMaster.FindFirst then
          repeat RecalculateAgeing;
          until not TblMaster.FindNext;
      finally screen.Cursor := crDefault;
      end;
    end
    else
      RecalculateAgeing;
end;

procedure TFormLKLedgerContact.FormShow(Sender: TObject);
begin
  inherited;
  pLocate.Left := 52;
  //activeControl := eLocate;
  //eLocateChange(self);
end;

procedure TFormLKLedgerContact.CustomisedbGridMaster;
var
  i: integer;
begin
  inherited;
  with dbGridMaster do
    for i := 0 to Count - 1 do
      with Items[i] do
        if (Pos(FieldName,
          'CURRENT_;ONE_MONTH;TWO_MONTHS;THREE_MONTHS;OVER_3_MONTHS;TURNOVER_THIS_YEAR')
          > 0) then
          ReadOnly := true;
end;

end.
   
