{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerContact record                          }
{                                                                             }
{*****************************************************************************}

unit LKLedgerContactRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, Menus, ActnList, DB, StdCtrls, StdActns, Grids,
  Buttons, ComCtrls, DBCtrls, ExtCtrls, ToolWin, DBGrids,  LKUtils,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKdlgs, LKDBControls, LKUtilComponents,
  LKLedgerNomControlRecordDlg, LKRecordsComponents, LKAccountsComponents;

type
  TFormLKLedgerContactRecord = class(TFormLKLedgerNominalControlRecord)
    Printenvelope1: TMenuItem;
    AcBr1: TMenuItem;
    UnpaidMatch1: TMenuItem;
    ActionPrintEnvelope: TAction;
    ActionMatching: TAction;
    sbMatching: TToolButton;
    procedure ActionMatchingExecute(Sender: TObject);
    procedure ActionPrintEnvelopeExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerContact;
  protected
    procedure CustomiseMasterEdits; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerContact);
  end;

var
  FormLKLedgerContactRecord: TFormLKLedgerContactRecord;

implementation

{$R *.dfm}

procedure TFormLKLedgerContactRecord.Construct(Sender: TLKLedgerContact);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerContactRecord.ActionPrintEnvelopeExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgPrintEnvelopeExecute('', [4, 5, 6, 7, 8], False);
end;

procedure TFormLKLedgerContactRecord.ActionMatchingExecute(Sender: TObject);
begin
  FMyAccountsComponent.DlgLedgerAllocateExecute;
end;

procedure TFormLKLedgerContactRecord.CustomiseMasterEdits;
var
  I: integer;
begin
  inherited;
  with MasterEditList do
    for I := 0 to Count - 1 do
      if (Pos(Items[I].FieldName,
  'CURRENT_;ONE_MONTH;TWO_MONTHS;THREE_MONTHS;OVER_3_MONTHS;TURNOVER_THIS_YEAR')
        > 0) then
          Items[I].ReadOnly := True;
end;

end.

