{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalControl record                   }
{                                                                             }
{*****************************************************************************}


unit LKLedgerNomControlRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls, StdActns,  Grids, DBGrids,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKdlgs, LKDBControls, LKUtilComponents,
  LKRecordsComponents, LKAccountsComponents, LKLedgerBaseRecordDlg;

type
  TFormLKLedgerNominalControlRecord = class(TFormLKLedgerBaseRecord)
    ActionDiaryDlg: TAction;
    ActionListContactLedger: TActionList;
    ActionAcToCtrl: TAction;
    ActionAccountToAccount: TAction;
    miActivitiesBreak1: TMenuItem;
    ransfertoAccount1: TMenuItem;
    Nominaljournal1: TMenuItem;
    sbTransfer: TToolButton;
    sbNominal: TToolButton;
    procedure ActionDiaryDlgExecute(Sender: TObject);
    procedure ActionAccountToAccountExecute(Sender: TObject);
    procedure ActionAcToCtrlExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalControl;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalControl);
  end;

var
  FormLKLedgerNominalControlRecord: TFormLKLedgerNominalControlRecord;

implementation

{$R *.dfm}

procedure TFormLKLedgerNominalControlRecord.Construct(
  Sender: TLKLedgerNominalControl);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalControlRecord.ActionDiaryDlgExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgDiaryExecute;
end;

procedure TFormLKLedgerNominalControlRecord.ActionAccountToAccountExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgJnlAccountToAccountExecute;
end;

procedure TFormLKLedgerNominalControlRecord.ActionAcToCtrlExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgJnlAccountToNominalExecute;
end;

end.

