{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerAnalysisManagementAccounts              }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalBudgetDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls, DBCtrls, StdActns,
  ExtCtrls, ComCtrls, Buttons, ToolWin, Grids, DBGrids,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDBControls, LKUtilComponents, LKRecordsComponents, LKAccountsComponents,
  LKdlgs, LKDataComponentDlg, LKDataComponentDetailDlg;

type
  TFormLKLedgerNominalBudget = class(TFormLKDataComponentDetail)
    ActionViewReportLayouts: TAction;
    ToolButton1: TToolButton;
    ToolButtonImport: TToolButton;
    ToolButton2: TToolButton;
    ActionPrintBudget: TAction;
    ToolButton4: TToolButton;
    procedure ActionViewReportLayoutsExecute(Sender: TObject);
    procedure ActionPrintBudgetExecute(Sender: TObject);
  private
    { Private declarations }
    FMyDataComponent: TLKLedgerNominalBudget;
  protected
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalBudget);
  end;

var
  FormLKLedgerNominalBudget: TFormLKLedgerNominalBudget;

implementation

{$R *.dfm}

procedure TFormLKLedgerNominalBudget.Construct(Sender: TLKLedgerNominalBudget);
begin
  FMyDataComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalBudget.ActionPrintBudgetExecute(Sender: TObject);
begin
  inherited;
  FMyDataComponent.DlgBudgetPrintExecute;
end;

procedure
  TFormLKLedgerNominalBudget.ActionViewReportLayoutsExecute(
  Sender: TObject);
begin
  FMyDataComponent.ContainerComponent.ReportLines.View(null, false, []);
end;

end.

