{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalControl                          }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalControlDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, Db, ComCtrls, StdCtrls, Buttons,  Grids, DBGrids,
  DBCtrls, ExtCtrls, ToolWin, LKRecordsComponents, LKdlgs, LKAccountsComponents,
  JvExExtCtrls, JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKLedgerBaseDlg;

type
  TFormLKLedgerNominalControl = class(TFormLKLedgerBase)
    ActionSelectNominalControl: TAction;
    SelectNominalControlcode1: TMenuItem;
    N3: TMenuItem;
    ActionCheckAccountBalancesToNominalControl: TAction;
    aCheckAccountBalancesToNominalControl1: TMenuItem;
    procedure ActionSelectNominalControlExecute(Sender: TObject);
    procedure ActionCheckAccountBalancesToNominalControlExecute(
      Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalControl;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalControl);
  end;

var
  FormLKLedgerNominalControl: TFormLKLedgerNominalControl;

implementation

{$R *.DFM}

procedure TFormLKLedgerNominalControl.Construct(Sender: TLKLedgerNominalControl);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalControl.ActionSelectNominalControlExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgNominalCodeSetupExecute;
end;

procedure
  TFormLKLedgerNominalControl.ActionCheckAccountBalancesToNominalControlExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.CheckAccountBalancesToNominalControl(true);
end;

end.

