{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalEnterBalances                    }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalEnterBalancesDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDataComponentDetailDlg, Menus, ImgList, ActnList, DB, StdCtrls,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin, Grids, DBGrids, StdActns,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKdlgs, LKDBControls, LKUtilComponents, LKRecordsComponents, LKDefine,
  LKAccountsComponents;

type
  TFormLKLedgerNominalEnterBalances = class(TFormLKDataComponentDetail)
    ActionProcess: TAction;
    Process1: TMenuItem;
    mAcitvitiesBreak1: TMenuItem;
    sbProcess: TToolButton;
    procedure ActionProcessExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalEnterBalances;
  protected
    procedure PlaceEditControls; override;
    function NominalLedger: TLKLedgerNominal;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalEnterBalances);
  end;

var
  FormLKLedgerNominalEnterBalances: TFormLKLedgerNominalEnterBalances;

implementation

{$R *.dfm}

procedure TFormLKLedgerNominalEnterBalances.Construct(
  Sender: TLKLedgerNominalEnterBalances);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

function TFormLKLedgerNominalEnterBalances.NominalLedger: TLKLedgerNominal;
begin
  Result := FMyAccountsComponent.ContainerComponent;
end;

procedure TFormLKLedgerNominalEnterBalances.PlaceEditControls;
var
  I: Integer;
begin
  inherited;
  with dbGridMaster do
    for I := 0 to Count - 1 do
      with Items[I] do
      begin
        if (FieldName = 'NOMINAL_CODE') then
        begin
          ControlType := dbcDCLookup;
          with TLKDBDCLookupEdit(EditControl) do
          begin
            LookupDataComponent := NominalLedger.NominalCodes;
            LookupDataset := tbMaster;
          end;
        end;
        if (FieldName = 'COST_CENTRE') then
        begin
          ControlType := dbcDCLookup;
          with TLKDBDCLookupEdit(EditControl) do
          begin
            LookupDataComponent := NominalLedger.CostLedger.CostCentres;
            LookupDataset := tbMaster;
          end;
        end;
      end;
  if Assigned(dbGridDetail) then
    with dbGridDetail do
      for I := 0 to Count - 1 do
        with Items[I] do
        begin
          if (FieldName = 'NOMINAL_CODE') then
          begin
            ControlType := dbcDCLookup;
            with TLKDBDCLookupEdit(EditControl) do
            begin
              LookupDataComponent := NominalLedger.NominalCodes;
              LookupDataset := tbMaster;
            end;
//          OnExit := ActionNominalExit.OnExecute;
          end;
          if (FieldName = 'COST_CENTRE') then
          begin
            ControlType := dbcDCLookup;
            with  TLKDBDCLookupEdit(EditControl) do
            begin
              LookupDataComponent := NominalLedger.CostLedger.CostCentres;
              LookupDataset := tbMaster;
            end;
//            OnExit := ActionCostExit.OnExecute;
          end;
        end;

end;

procedure TFormLKLedgerNominalEnterBalances.ActionProcessExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.PostToLedger(self);
end;

end.

