{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccountsC components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalEnterReserves                    }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalEnterReservesDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, Db, ToolWin, StdActns,
  ComCtrls, StdCtrls, DBCtrls, Buttons, ExtCtrls, Variants, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, JvExExtCtrls, JvNetscapeSplitter,
  LKdlgs, LKDBControls, LKLedgerNominalEnterBalancesDlg, LKRecordsComponents,
  LKAccountsComponents, LKUtilComponents;

type
  TFormLKLedgerNominalEnterReserves = class(TFormLKLedgerNominalEnterBalances)
    ActionCalculate: TAction;
    Calculate1: TMenuItem;
    ActionViewAccruals: TAction;
    ActionViewPrepayments: TAction;
    ActionViewFADepn: TAction;
    sbCalculate: TToolButton;
    sbFixedAssetDepn: TToolButton;
    sbAccruals: TToolButton;
    sbPrepayments: TToolButton;
    procedure FormShow(Sender: TObject);
    procedure ActionCalculateExecute(Sender: TObject);
    procedure ActionViewAccrualsExecute(Sender: TObject);
    procedure ActionViewPrepaymentsExecute(Sender: TObject);
    procedure ActionViewFADepnExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalEnterReserves;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalEnterReserves);
  end;

var
  FormLKLedgerNominalEnterReserves: TFormLKLedgerNominalEnterReserves;

implementation

{$R *.DFM}

procedure TFormLKLedgerNominalEnterReserves.Construct(
  Sender: TLKLedgerNominalEnterReserves);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalEnterReserves.FormShow(Sender: TObject);
begin
  inherited;
  sbProcess.Left := 500;
end;

procedure TFormLKLedgerNominalEnterReserves.ActionCalculateExecute(Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.EntriesCalculateWizardExecute(Self);
end;

procedure TFormLKLedgerNominalEnterReserves.ActionViewAccrualsExecute(
  Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.ContainerComponent.Accruals.View(null, false, []);
end;

procedure TFormLKLedgerNominalEnterReserves.ActionViewPrepaymentsExecute(
  Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.ContainerComponent.Prepayments.View(null, false, []);
end;

procedure TFormLKLedgerNominalEnterReserves.ActionViewFADepnExecute(
  Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.ContainerComponent.FixedAssets.View(null, false, []);
end;

end.

