{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for the display of errors found in a ledger batch before posting  }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalEntryErrorsDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKBatchErrorsBaseDlg, Grids, StdCtrls, Buttons, ExtCtrls;

type
  TLKDlgLedgerNominalEntryErrors = class(TDlgLKBatchErrorsBase)
    procedure FormCreate(Sender: TObject);
    procedure btnCorrectAllClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LKDlgLedgerNominalEntryErrors: TLKDlgLedgerNominalEntryErrors;

implementation

uses LKAccountsComponents;

{$R *.dfm}

procedure TLKDlgLedgerNominalEntryErrors.FormCreate(Sender: TObject);
begin
  inherited;
with sgErrors do
 begin
 Cells[0,0] := 'Code';
 Cells[1,0] := 'Document';
 Cells[2,0] := 'Item';
 Cells[3,0] := 'Nominal';
 Cells[4,0] := 'Cost';
 Cells[5,0] := 'Problem';
 Cells[6,0] := 'Proposed correction';
 end;
with sgWarnings do
 begin
 Cells[0,0] := 'Correct?(Y,N)';
 Cells[1,0] := 'Document';
 Cells[2,0] := 'Item';
 Cells[3,0] := 'Nominal';
 Cells[4,0] := 'Cost';
 Cells[5,0] := 'Problem';
 end;
end;

procedure TLKDlgLedgerNominalEntryErrors.btnCorrectAllClick(Sender: TObject);
begin
  inherited;
  ModalResult := TLKLedgerNominalEnterBalances(ProblemDaybook).PlDlgErrorsCorrectErrors;
end;

end.
