{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalFixedAssets                      }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalFixedAssetsRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, Grids, DBGrids, StdCtrls, DBCtrls,
  ExtCtrls, ComCtrls, Buttons, ToolWin, StdActns, JvExDBGrids, JvDBGrid,
  JvDBUltimGrid, LKUtils, LKRecordsComponents, LKAccountsComponents, LKdlgs,
  LKLedgerNominalReservesBaseInputRecordDlg, LKDBControls, LKUtilComponents;

type
  TFormLKLedgerNominalFixedAssetsRecord =
    class(TFormLKLedgerNominalReservesBaseInputRecord)
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalFixedAssets;
  protected
    procedure SetMasterEditsActions; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalFixedAssets); 
  end;

var
  FormLKLedgerNominalFixedAssetsRecord: TFormLKLedgerNominalFixedAssetsRecord;

implementation

{$R *.dfm}

{ TFormLKLedgerNominalReservesBaseInputRecord2 }

procedure TFormLKLedgerNominalFixedAssetsRecord.Construct(
  Sender: TLKLedgerNominalFixedAssets);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalFixedAssetsRecord.SetMasterEditsActions;
var
  i: integer;
begin
  inherited;
  with MasterEditList do
    for i := 0 to Count - 1 do
      with Items[i] do
      begin
        if (FieldName = 'DATE_ACQUIRED') then
          OnExit := ActionPostEditMasterDB.OnExecute;
      end
end;

end.

