{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalFixedAssetCategories             }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalFixedAssteCategoriesRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, StdActns, Grids, DBGrids, ActnList, DB, StdCtrls,
  DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin, JvExDBGrids, JvDBGrid,
  JvDBUltimGrid, LKRecordsComponents, LKDocumentsInputNominalRecordDlg,
  LKAccountsComponents,LKDefine,LKUtils, LKDlgs, LKDBControls, LKUtilComponents;

type
  TFormLKLedgerNominalFixedAssteCategoriesRecord =
    class(TFormLKDocumentsInputNominalRecord)
    procedure rgDpnMethodChange(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalFixedAssetCategories;
  protected
    rgDpnMethod: TDBRadiogroup;
    dbeDpnPercent: TDBEdit;
    dbeDpnYears: TDBEdit;
    procedure CustomiseMasterEdits; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalFixedAssetCategories);
  end;

var
  FormLKLedgerNominalFixedAssteCategoriesRecord:
    TFormLKLedgerNominalFixedAssteCategoriesRecord;

implementation

{$R *.dfm}

{ TFormLKLedgerNominalFixedAssteCategoriesRecord }

procedure TFormLKLedgerNominalFixedAssteCategoriesRecord.rgDpnMethodChange(
  Sender: TObject);
begin
  dbeDpnPercent.Visible :=
    (TLKFixedAssetDepreciationStyle(rgDpnMethod.ItemIndex) =
      fadReducingBalance);
  dbeDpnYears.Visible :=
    (TLKFixedAssetDepreciationStyle(rgDpnMethod.ItemIndex) > fadNone);
end;

procedure TFormLKLedgerNominalFixedAssteCategoriesRecord.Construct(
  Sender: TLKLedgerNominalFixedAssetCategories);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender, Sender.ContainerComponent);
end;

procedure TFormLKLedgerNominalFixedAssteCategoriesRecord.CustomiseMasterEdits;
var
  I: integer;
begin
  inherited;
  with MasterEditList do
  begin
    for I := 0 to Count - 1 do
      with Items[I] do
      begin
        if (FieldName = 'DEPRECIATION_METHOD') then
        begin
          ControlType := dbcRadioGroup;
          rgDpnMethod := TDBRadiogroup(EditControl);
          LinesHeight := 4;
          with rgDpnMethod do
          begin
            Columns := 1;
            Items.Add('None');
            Items.Add('Straight line');
            Items.Add('Reducing balance');
            Values.Add('0');
            Values.Add('1');
            Values.Add('2');
            OnChange := rgDpnMethodChange;
          end;
        end;
        if (FieldName = 'DEPRECIATION_RATE_PERCENT_PA') then
          dbeDpnPercent := TDBEdit(EditControl);
        if (FieldName = 'ASSET_LIFE_IN_YEARS') then
          dbeDpnYears := TDBEdit(EditControl);
      end;
    Layout := aceOneCol;
    Resize;
  end;
end;

end.

