{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominalReservesBase                     }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalReservesBaseInputRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKRecordsBaseRecordDlg, Menus, ImgList, ActnList, DB, StdActns,
  StdCtrls, DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKUtils, LKRecordsComponents,
  LKDefine, LKAccountsComponents, LKDlgs, LKDBControls, LKUtilComponents;

type
  TFormLKLedgerNominalReservesBaseInputRecord =
    class(TFormLKRecordsBaseRecord)
    ActionCalculateBalances: TAction;
    Calculate1: TMenuItem;
    ToolButton1: TToolButton;
    procedure ActionCalculateBalancesExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalReservesBase;
  protected
    FNominalLedger: TLKLedgerNominal;
    procedure SetMasterEditsActions; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalReservesBase);
  end;

var
  FormLKLedgerNominalReservesBaseInputRecord:
    TFormLKLedgerNominalReservesBaseInputRecord;

implementation

{$R *.dfm}

procedure TFormLKLedgerNominalReservesBaseInputRecord.Construct(Sender:
  TLKLedgerNominalReservesBase);
begin
  FMyAccountsComponent := Sender;
  FNominalLedger := FMyAccountsComponent.ContainerComponent;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerNominalReservesBaseInputRecord.SetMasterEditsActions;
var
  I: Integer;
begin
  with MasterEditList do
    for I := 0 to Count - 1 do
      with Items[I] do
      begin
        if (FieldName = 'NOMINAL_CODE') then
        begin
          ControlType := dbcDCLookup;
          with TLKDBDCLookupEdit(EditControl) do
          begin
            LookupDataComponent := FNominalLedger.NominalCodes;
            LookupDataset := tbMaster;
          end;
        end;
        if (FieldName = 'COST_CENTRE') then
        begin
          ControlType := dbcDCLookup;
          with TLKDBDCLookupEdit(EditControl) do
          begin
            LookupDataComponent := FNominalLedger.CostLedger.CostCentres;
            LookupDataset := tbMaster;
          end;
        end;
      end;
  inherited;
end;

procedure TFormLKLedgerNominalReservesBaseInputRecord.ActionCalculateBalancesExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.CalculateBalances;
end;

end.

