{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerPurchase record                         }
{                                                                             }
{*****************************************************************************}

unit LKLedgerPurchaseRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Db,
  Menus, ImgList, ActnList, ComCtrls, ToolWin, StdCtrls, DBCtrls, Buttons,
  ExtCtrls, Variants, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKdlgs, LKLedgerContactRecordDlg, LKDBControls, LKDefine,
  LKUtils, LKAccountsComponents, StdActns, LKBaseComponent, LKUtilComponents;

type
  TFormLKLedgerPurchaseRecord = class(TFormLKLedgerContactRecord)
    ActionCheque: TAction;
    Cheque1: TMenuItem;
    DlgEnterPayDate: TLKViewDialog;
    sbCheque: TToolButton;
    procedure ActionChequeExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerPurchase;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerPurchase);
  end;

var
  FormLKLedgerPurchaseRecord: TFormLKLedgerPurchaseRecord;

implementation

{$R *.DFM}

procedure TFormLKLedgerPurchaseRecord.ActionChequeExecute(Sender: TObject);
begin
  FMyAccountsComponent.DrawCheque(Self);
end;

procedure TFormLKLedgerPurchaseRecord.Construct(Sender: TLKLedgerPurchase);
begin       
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

end.
