{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TTLKLedgerNominalProfitAndBalancesForecast       }
{                                                                             }
{*****************************************************************************}

unit LKProfitAndBalancesForecastDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, ActnList, Grids, ComCtrls, ToolWin, ActnMan, ActnCtrls,
  XPStyleActnCtrls, DB, DBCtrls, Buttons, StdCtrls, ExtCtrls, StdActns, DBGrids,
  JvDBGrid, JvDBUltimGrid, JvExDBGrids,
  LKSimpleTableDlg, LKUtilComponents, LKAccountsComponents, LKDBControls;

type
  TFormLKProfitAndBalancesForecast = class(TLKDlgSimpleTableView)
    aEdit: TAction;
    aNew: TAction;
    dsBalances: TDataSource;
    dsCash: TDataSource;
    PageControl1: TPageControl;
    tsBalances: TTabSheet;
    tsCash: TTabSheet;
    tsProfit: TTabSheet;
    GridCash: TJvDBUltimGrid;
    GridBalances: TJvDBUltimGrid;
    dbGridCash: TLKDcDBGridController;
    dbGridBalances: TLKDcDBGridController;
    procedure aEditExecute(Sender: TObject);
    procedure aNewExecute(Sender: TObject);
    procedure aPrintExecute(Sender: TObject);
  private
    MyProfitAndBalancesForecast: TLKLedgerNominalProfitAndBalancesForecast;
  public
    procedure Construct(AProfitAndBalancesForecast:
            TLKLedgerNominalProfitAndBalancesForecast); reintroduce; overload;
  end;

var
  FormLKProfitAndBalancesForecast: TFormLKProfitAndBalancesForecast;

implementation

{$R *.dfm}


{
********************** TFormLKProfitAndBalancesForecast ***********************
}
procedure TFormLKProfitAndBalancesForecast.aEditExecute(Sender: TObject);
begin
    inherited;
  MyProfitAndBalancesForecast.DlgForecastWizardExecute;
end;

procedure TFormLKProfitAndBalancesForecast.aNewExecute(Sender: TObject);
begin
    inherited;
  MyProfitAndBalancesForecast.RecordNew;
end;

procedure TFormLKProfitAndBalancesForecast.aPrintExecute(Sender: TObject);
begin
  MyProfitAndBalancesForecast.DlgPrintExecute('','Default',null,false);
end;

procedure TFormLKProfitAndBalancesForecast.Construct(
        AProfitAndBalancesForecast: TLKLedgerNominalProfitAndBalancesForecast);
begin
    MyProfitAndBalancesForecast := AProfitAndBalancesForecast;
 // inherited Construct(MyProfitAndBalancesForecast.ProfitForecast.TblView, False);
   {
  with dbGridProfit.Grid do
   begin
   PopupMenu := PopupMenu1;
   Options := Options + [dgAlwaysShowSelection];
   OnKeyDown := GridMasterKeyDown;
   OnDblClick := aDrillDown.OnExecute;
   end;
   }
  with dbGridCash do
   begin
   ConstructFromDatasource('');
   ReadOnly := true;
   end;
  with dbGridBalances do
   begin
   ConstructFromDatasource('');
   ReadOnly := true;
   end;
end;

end.


