{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TTLKLedgerNominalProfitAndBalancesForecast record}
{                                                                             }
{*****************************************************************************}


unit LKProfitAndBalancesForecastRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,  ImgList, Menus, DB, ActnList, StdActns, DBCtrls, Buttons, ExtCtrls,
  ToolWin, ComCtrls, StdCtrls, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKAccountsComponents, LKUtils, LKUtilComponents, LKdlgs,
  LKDataComponentRecordDlg, LKDefine, LKDBControls;

type
  TFormLKProfitAndBalancesForecastRecord =
    class(TFormLKDataComponentRecord)
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominalProfitAndBalancesForecast;
  protected
    procedure CustomiseMasterEdits; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominalProfitAndBalancesForecast);
  end;

var
  FormLKProfitAndBalancesForecastRecord:
    TFormLKProfitAndBalancesForecastRecord;

implementation

{$R *.dfm}

{ TFormLKAccountsComponentRecord2 }

procedure TFormLKProfitAndBalancesForecastRecord.Construct(
  Sender: TLKLedgerNominalProfitAndBalancesForecast);
begin
  FMyAccountsComponent := TLKLedgerNominalProfitAndBalancesForecast(Sender);
  inherited Construct(Sender);
end;

procedure TFormLKProfitAndBalancesForecastRecord.CustomiseMasterEdits;
var
  i: integer;
begin
  inherited;
  with MasterEditList do
    for i := 0 to Count - 1 do
      with Items[i] do
      begin
        if (FieldName = 'FORECAST_NAME') then
        begin
          ControlType := dbcComboBox;
          with TDBComboBox(EditControl).Items do
          begin
            Add('Most Likely basis');
            Add('Best sales volume');
            Add('Worst sales volume');
            Add('Best costs');
            Add('Worst costs');
            Add('Best borrowing');
            Add('Worst borrowing');
          end;
        end;
        {
       if (FieldName = 'AVE_DEBTORS_DAYS') then
        begin
        ControlType := dbcButtonEdit;
        TLKDBButtonEdit(EditControl).OnButtonClick := MyAccountsComponent.doDebtorsDaysWizExecute;
        end;
       if (FieldName = 'AVE_CREDITORS_DAYS') then
        begin
        ControlType := dbcButtonEdit;
        TLKDBButtonEdit(EditControl).OnButtonClick := MyAccountsComponent.doCreditorsDaysWizExecute;
        end;
        }
      end;
end;

end.

