{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for Wizard for TLKLedgerNominalProfitAndBalancesForecast          }
{      ( not yet functional )                                                 }
{*****************************************************************************}

unit LKProfitAndBalancesForecastWizardDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKHeaderDlg, ImgList, ActnList, StdCtrls, ExtCtrls,
  LKDlgs, LKAccountsComponents, StdActns, LKBaseComponent;

type
  TFormLKProfitAndBalancesForecastWizard = class(TFormLKHeaderDlg)
    Action1: TAction;
    procedure FormCreate(Sender: TObject);
  private
    FPanelsCount: Integer;
    MyProfitAndBalancesForecast: TLKLedgerNominalProfitAndBalancesForecast;
    function WizardPanelAdd: TLKWizPanel;
    property PanelsCount: Integer read FPanelsCount write FPanelsCount;
  public
    procedure Construct(AForecast : TLKLedgerNominalProfitAndBalancesForecast);
  end;

var
  FormLKProfitAndBalancesForecastWizard: TFormLKProfitAndBalancesForecastWizard;

implementation

{$R *.dfm}

{
******************* TFormLKProfitAndBalancesForecastWizard ********************
}
procedure TFormLKProfitAndBalancesForecastWizard.Construct(AForecast :
        TLKLedgerNominalProfitAndBalancesForecast);
begin
  MyProfitAndBalancesForecast := AForecast;
  //with WizardPanelAdd do OnPanelClick :=
end;

procedure TFormLKProfitAndBalancesForecastWizard.FormCreate(Sender: TObject);
begin
    inherited;
  LKHeaderPanel1.Caption := 'Create a new Forecast';
  LKHeaderPanel1.Comments.Add(
   'If this is the first time that you have created a forecast please refer to the'
    + ' [Help] before selecting each item');
  FPanelsCount := 0;
end;

function TFormLKProfitAndBalancesForecastWizard.WizardPanelAdd: TLKWizPanel;
begin
  Inc(FPanelsCount);
  Result := TLKWizPanel.Create(Self);
  with Result do
  begin
    Parent := Self;
    Top := 60 + FPanelsCount*32;
    Align := alTop;
    LabelItemNo.Caption := IntToStr(FPanelsCount) + '.';
  end;
end;

end.
