{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKSalesTaxReturns                                    }
{                                                                             }
{*****************************************************************************}

unit LKRecordsSalesTaxReturnsDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls,
  DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin, Grids, DBGrids, StdActns,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDBControls, LKRecordsComponents, LKdlgs, LKRecordsBaseDlg,
  LKAccountsComponents, LKUtilComponents;

type
  TFormLKRecordsSalesTaxReturns = class(TFormLKRecordsBase)
    ActionViewSalesTaxCodes: TAction;
    miViewBreakSalesTax: TMenuItem;
    SalesTaxRates1: TMenuItem;
    ActionSettings: TAction;
    aSetFolderStoreDocumentImages2: TMenuItem;
    sbVatCodes: TToolButton;
    procedure ActionViewSalesTaxCodesExecute(Sender: TObject);
    procedure ActionSettingsExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKSalesTaxReturns;
  public
    { Public declarations }
    procedure Construct(Sender: TLKSalesTaxReturns);
  end;

var
  FormLKRecordsSalesTaxReturns: TFormLKRecordsSalesTaxReturns;

implementation

{$R *.dfm}

procedure TFormLKRecordsSalesTaxReturns.Construct(Sender: TLKSalesTaxReturns);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKRecordsSalesTaxReturns.ActionViewSalesTaxCodesExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.SalesTaxCodes.View(null, true, [mbOK])
end;

procedure TFormLKRecordsSalesTaxReturns.ActionSettingsExecute(Sender: TObject);
begin
  FMyAccountsComponent.DlgSetupExecute;
end;

end.

