{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKSalesTaxReturns record                             }
{                                                                             }
{*****************************************************************************}

unit LKRecordsSalesTaxReturnsRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKRecordsBaseRecordDlg, ImgList, Menus, DB, ActnList, LKdlgs,
  DBCtrls, Buttons, ExtCtrls, ToolWin, ComCtrls, StdCtrls,
  LKRecordsComponents, LKAccountsComponents, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKRecordsSalesTaxReturnsRecord = class(TFormLKRecordsBaseRecord)
    ActionCalculateReturn: TAction;
    CalculateReturnvalues1: TMenuItem;
    sbCalculate: TToolButton;
    procedure ActionCalculateReturnExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKSalesTaxReturns;
  public
    { Public declarations }
    procedure Construct(Sender: TLKSalesTaxReturns);
  end;

var
  FormLKRecordsSalesTaxReturnsRecord: TFormLKRecordsSalesTaxReturnsRecord;

implementation

{$R *.dfm}

{ TFormLKRecordsSalesTaxReturnsRecord }

procedure TFormLKRecordsSalesTaxReturnsRecord.Construct(
  Sender: TLKSalesTaxReturns);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKRecordsSalesTaxReturnsRecord.ActionCalculateReturnExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.CalculateSalesTaxReturnValues;
end;

end.

