{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for backstep of TLKProcedureStepActions                           }
{                                                                             }
{*****************************************************************************}

unit LKApProcedureBackstepDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, Contnrs, LKUtils, LKUtilComponents;

type
  TDlgLKApProcedureBackstep = class(TForm)
    Panel1: TPanel;
    btnClose: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
    ButtonList: TObjectList;
  public
    { Public declarations }
    procedure Construct(Actions: TLKProcedureStepActions);
  end;

const
  buttonHeight = 32;

var
  DlgLKApProcedureBackstep: TDlgLKApProcedureBackstep;

implementation

{$R *.dfm}

procedure TDlgLKApProcedureBackstep.Construct(
  Actions: TLKProcedureStepActions);
var
  I: integer;
  Btn: TBitBtn;
begin
  with Actions do
    for I := 0 to Count - 1 do
    begin
      Btn := TBitBtn.Create(Self);
      with Btn do
      begin
        Action := TLKProcedureStepAction(Items[I]).Action;
        Parent := self;
        Left := 0;
        Height := buttonHeight;
        Top := I * buttonHeight;
      end;
      ButtonList.Add(Btn);
    end;
  Height := 68 + ButtonList.Count * buttonHeight;
  FormResize(Self);
end;

procedure TDlgLKApProcedureBackstep.FormCreate(Sender: TObject);
begin
  ButtonList := TObjectList.Create(False);
end;

procedure TDlgLKApProcedureBackstep.FormDestroy(Sender: TObject);
begin
  ButtonList.Free;
end;

procedure TDlgLKApProcedureBackstep.FormResize(Sender: TObject);
var
  i: integer;
begin
  with ButtonList do
    for i := 0 to Count - 1 do
      TBitBtn(Items[i]).Width := ClientWidth;
end;

end.

