{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for the display of TLKDaybookBase                                 }
{                                                                             }
{*****************************************************************************}

unit LKDaybookBaseDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LKDataComponentDlg, ImgList, Menus, ActnList, Db, StdCtrls, ExtCtrls, DBCtrls,
    Variants,
  Buttons, ToolWin, ComCtrls, LKRecordsComponents, LKdlgs,
  JvExExtCtrls, JvNetscapeSplitter, StdActns, Grids, DBGrids, JvExDBGrids,
  JvDBGrid, JvDBUltimGrid, LKDBControls, LKUtilComponents;

type
  TFormLKDaybookBase = class(TFormLKDataComponent)
    DSCost: TDataSource;
    ActionProcess: TAction;
    Process1: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    NominalCodes1: TMenuItem;
    CostCodes1: TMenuItem;
    ActionNextBatchNumber: TAction;
    ActionRemoveBatchNumber: TAction;
    RemoveBatchnumber1: TMenuItem;
    NextBatchnumber1: TMenuItem;
    sbProcess: TToolButton;
    procedure ActionProcessExecute(Sender: TObject);
    procedure ActionNextBatchNumberExecute(Sender: TObject);
    procedure ActionRemoveBatchNumberExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    FDaybookBase: TLKDaybookBase;
  public
    { Public declarations }
    procedure Construct(Sender: TLKDaybookBase);
  end;

implementation

{$R *.DFM}

procedure TFormLKDaybookBase.Construct(Sender: TLKDaybookBase);
begin
  FDaybookBase := Sender;
  inherited Construct(Sender);
  ActionDrillDown.Enabled := Assigned(FDaybookBase.InputDocuments);
end;

procedure TFormLKDaybookBase.FormShow(Sender: TObject);
begin
  inherited;
//  FDaybookBase.TblMaster.IndexStir;
end;

procedure TFormLKDaybookBase.ActionProcessExecute(Sender: TObject);
begin
  FDaybookBase.ProcessBatch(self);
end;

procedure TFormLKDaybookBase.ActionNextBatchNumberExecute(
  Sender: TObject);
begin
  FDaybookBase.DlgSetBatchNumberExecute;
end;

procedure TFormLKDaybookBase.ActionRemoveBatchNumberExecute(
  Sender: TObject);
begin
  FDaybookBase.DlgRemoveBatchNumberExecute;
end;

end.

