{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Basic HTML editor                                                      }
{                                                                             }
{*****************************************************************************}

unit LKHMTLDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKComponentApplyDlg, ActnList, ImgList, ExtCtrls, Buttons,
  StdCtrls, LKUtilComponents, LKBaseComponent;

type
  TDlgLKHTML = class(TFormLKComponentApply)
    MemoHTML: TMemo;
    procedure btnApplyClick(Sender: TObject);
    procedure MemoHTMLChange(Sender: TObject);
  private
    { Private declarations }
    myHTML: TLKHTML;
  public
    { Public declarations }
    procedure Construct(Sender: TLKHTML);
  end;

var
  DlgLKHTML: TDlgLKHTML;

implementation

{$R *.dfm}

procedure TDlgLKHTML.btnApplyClick(Sender: TObject);
begin
  inherited;
  btnApply.Enabled := false;
  with myHTML do
  begin
    HTML.Clear;
    HTML.Assign(MemoHTML.Lines);
  end;
end;

procedure TDlgLKHTML.MemoHTMLChange(Sender: TObject);
begin
  inherited;
  btnApply.Enabled := true;
end;

procedure TDlgLKHTML.Construct(Sender: TLKHTML);
begin
  myHTML := Sender;
  inherited Construct(Sender);
  // MemoSQL.Clear;
  MemoHTML.Lines.Assign(myHTML.HTML);
  btnApply.Enabled := false;
end;

end.

