{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a LKHub end of month wizard                           }
{                                                                             }
{*****************************************************************************}

unit LKHubEndOfMonthWizDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKHeaderDlg, ImgList, ActnList, StdCtrls, ExtCtrls,
  LKBaseComponent, LKRecordsComponents, LKDlgs;

type
  TLKEndOfMonthPanel = class(TLKComponentWizPanel)
  protected
    procedure DoButtonClick(Sender: TObject); override;
    procedure SetLKComponent(Value: TLKSystemComponent); override;
  end;

  TFormLKHubEndOfMonthWiz = class(TFormLKHeaderDlg)
    Panel2: TPanel;
    procedure FormCreate(Sender: TObject);
  public
    procedure Construct(AHub: TLKHubRecords);
  end;

implementation

{$R *.dfm}

{
***************************** TLKEndOfMonthPanel ******************************
}

procedure TLKEndOfMonthPanel.DoButtonClick(Sender: TObject);
begin
  LKComponent.EndOfMonth;
  inherited DoButtonClick(Sender);
end;

procedure TLKEndOfMonthPanel.SetLKComponent(Value: TLKSystemComponent);
begin
  if Assigned(Value) then
    HelpContext := Value.HelpContext;
  inherited SetLKComponent(Value);
end;

{
************************** TFormLKACHubEndOfMonthWiz **************************
}

procedure TFormLKHubEndOfMonthWiz.Construct(AHub: TLKHubRecords);
var
  A: Integer;
  I: Integer;
  J: Integer;
  K: Integer;

  procedure AddEOMPanel(AComponent: TLKSystemComponent);
  begin
    if not (AComponent.HasPeriodEndProcedure
      or Assigned(AComponent.OnEndOfMonth)) then
      Exit;
    Inc(A);
    with TLKEndOfMonthPanel.Create(Self) do
    begin
      Parent := Panel2;
      Top := 60 + A * 32;
      Align := alTop;
      LabelItemNo.Caption := IntToStr(A) + '.';
      LKComponent := AComponent;
    end;
  end;

begin
  A := 0;
  with AHub.Groups do
    for I := Count - 1 downto 0 do
      with Items[I].GroupComponents do
        for J := 0 to Count - 1 do
        begin
          with Items[J] do
            for K := 0 to ComponentCount - 1 do
              if (Components[K] is TLKSystemComponent) then
                AddEOMPanel(TLKSystemComponent(Components[K]));
          AddEOMPanel(TLKSystemComponent(Items[J]));
        end;
end;

procedure TFormLKHubEndOfMonthWiz.FormCreate(Sender: TObject);
begin
  inherited;
  Caption := 'Accounts End of Month Procedures';
  LKHeaderPanel1.Caption := 'Month end...';
  LKHeaderPanel1.Comments.Text :=
      'to close the data entry month and produce your Management Accounts.'
   +  'If you do not "Month end" all the Ledgers this will be done when you '
   +  '"Month end" the Nominal Ledger';
end;

end.

