{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Wizard for seting up a TLKHubRecords system                            }
{                                                                             }
{*****************************************************************************}

unit LKHubSetupWizardDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKHeaderDlg, ImgList, ActnList, StdCtrls, ExtCtrls,
  JvExControls, JvComponent, ShellApi,
  LKBaseComponent, LKRecordsComponents, LKDlgs, StdActns, LKFormBaseDlg;

type
  TFormLKHubSetupWizard = class(TFormLKHeaderDlg)
    Panel2: TPanel;
    procedure FormCreate(Sender: TObject);
  private
    MyHub: TLKHubRecords;
  public
    procedure Construct(AHub: TLKHubRecords); overload; virtual;
  end;

var
  FormLKHubSetupWizard: TFormLKHubSetupWizard;

implementation

{$R *.dfm}

{
*************************** TFormLkACHubSetupWizard ***************************
}

procedure TFormLKHubSetupWizard.Construct(AHub: TLKHubRecords);
var
  A: Integer;
  I: Integer;
  J: Integer;

  procedure AddSetupPanel(AComponent: TLKSystemComponent);
  begin
    if not AComponent.DlgSetUpIsImplemented then
      Exit;
    inc(A);
    with TLKACSetupWizPanel.Create(Self) do
    begin
      Parent := Panel2;
      Top := 60 + A * 32;
      Align := alTop;
      LabelItemNo.Caption := IntToStr(A) + '.';
      LkComponent := AComponent;
    end;
  end;

begin
  MyHub := AHub;
  a := 0;
  AddSetupPanel(MyHub);
  for I := 0 to MyHub.Groups.Count - 1 do
    for J := 0 to MyHub.Groups[I].GroupComponents.Count - 1 do
      AddSetupPanel(MyHub.Groups[I].GroupComponents[J]);
end;

procedure TFormLKHubSetupWizard.FormCreate(Sender: TObject);
begin
  inherited;
  Caption := 'Setup Wizard';
  LKHeaderPanel1.Caption := 'Program settings';
  LKHeaderPanel1.Comments.Text :=
    'If this is the first time that you have set-up this software please refer '
    + 'to the [Help] before selecting each item';
end;

end.

