{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKLedgerBase                                       }
{                                                                             }
{*****************************************************************************}

unit LKLedgerBaseDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
    Variants,
  LKDataComponentDlg, ImgList, Menus, ActnList, Db, StdCtrls, Buttons, DBCtrls,
  ToolWin, ComCtrls, ExtCtrls, LKRecordsComponents, LKdlgs, JvExExtCtrls,
  JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKLedgerBase = class(TFormLKDataComponent)
    ActionMerge: TAction;
    ActionMonthEnd: TAction;
    ActionSetup: TAction;
    AcBk1: TMenuItem;
    MonthEnd1: TMenuItem;
    EdBr1: TMenuItem;
    aMergeAccount1: TMenuItem;
    Setup1: TMenuItem;
    ActionViewDaybook: TAction;
    ActionNewInputDocument: TAction;
    pmDaybookPopup: TPopupMenu;
    ActionDaybookPopup: TAction;
    pmNewDocPopup: TPopupMenu;
    ActionNewInputDocPopup: TAction;
    ActionYearEnd: TAction;
    EndofYearroutines1: TMenuItem;
    ActionDeleteAccount: TAction;
    PoputBreak2: TMenuItem;
    Deleteaccount2: TMenuItem;
    procedure ActionMergeExecute(Sender: TObject);
    procedure ActionMonthEndExecute(Sender: TObject);
    procedure ActionSetupExecute(Sender: TObject);
    procedure ActionViewDaybookExecute(Sender: TObject);
    procedure ActionNewInputDocumentExecute(Sender: TObject);
    procedure ActionDaybookPopupExecute(Sender: TObject);
    procedure ActionNewInputDocPopupExecute(Sender: TObject);
    procedure ActionYearEndExecute(Sender: TObject);
    procedure ActionDeleteAccountExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerBase;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerBase);
  end;

var
  FormLKLedgerBase: TFormLKLedgerBase;

implementation

uses LKUtils;

{$R *.DFM}

procedure TFormLKLedgerBase.Construct(Sender: TLKLedgerBase);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKLedgerBase.ActionMergeExecute(Sender: TObject);
begin
  FMyAccountsComponent.AccountMerge(Self);
end;

procedure TFormLKLedgerBase.ActionMonthEndExecute(Sender: TObject);
begin
  FMyAccountsComponent.EndOfMonth;
end;

procedure TFormLKLedgerBase.ActionSetupExecute(Sender: TObject);
begin
  FMyAccountsComponent.Setup(true);
end;

procedure TFormLKLedgerBase.ActionViewDaybookExecute(Sender: TObject);
//var
//  DrillDownAC: TLKDocumentsDaybookEntryBase;
begin
//  DrillDownAC :=
//    TLKDaybookBase(FMyAccountsComponent.ChildComponents[TComponent(Sender).Tag]);
//  DrillDownAC.Daybook.View(null, false, []);
end;

procedure TFormLKLedgerBase.ActionNewInputDocumentExecute(Sender: TObject);
begin
//  TLKDocumentsDaybookEntryBase(
//    FMyAccountsComponent.ChildComponents[TComponent(Sender).Tag]).RecordNew;
end;

procedure TFormLKLedgerBase.ActionDaybookPopupExecute(Sender: TObject);
begin
  pmDaybookPopup.Popup(Mouse.CursorPos.X, Mouse.CursorPos.Y);
end;

procedure TFormLKLedgerBase.ActionNewInputDocPopupExecute(Sender: TObject);
begin
  pmNewDocPopup.Popup(Mouse.CursorPos.X, Mouse.CursorPos.Y);
end;

procedure TFormLKLedgerBase.ActionYearEndExecute(Sender: TObject);
begin
  FMyAccountsComponent.OnEndOfYear(Sender);
end;

procedure TFormLKLedgerBase.ActionDeleteAccountExecute(Sender: TObject);
begin
  FMyAccountsComponent.RecordDelete;
end;

end.

