{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsBase                                      }
{                                                                             }
{*****************************************************************************}

unit LKRecordsBaseDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,  ImgList, StdCtrls, StdActns, Grids, DBGrids,
  Menus, DB, ActnList, LKdlgs, DBCtrls, Buttons, ExtCtrls, ToolWin, ComCtrls,
  JvExExtCtrls, JvNetscapeSplitter,  JvComponent, JvBaseDlg, JvBrowseFolder,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDataComponentDlg, LKRecordsComponents, LKDBControls, LKUtilComponents;

type
  TFormLKRecordsBase = class(TFormLKDataComponent)
    ActionSetFolderStoreDocumentImages: TAction;
    procedure ActionSetFolderStoreDocumentImagesExecute(Sender: TObject);
  private
    { Private declarations }
    FMyRecordsBase: TLKRecordsBase;
  protected
    procedure CustomisedbGridMaster; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsBase);
  end;

var
  FormLKRecordsBase: TFormLKRecordsBase;

implementation

{$R *.dfm}

uses LKDefine, LKRecordsBaseRecordDlg;

procedure TFormLKRecordsBase.Construct(Sender: TLKRecordsBase);
var
  NewMenuitem: TMenuItem;
begin
  FMyRecordsBase := Sender;
  inherited Construct(Sender);
  if Assigned(FMyRecordsBase.MasterComponent) then
    //we are seeing a restricted table view so allow view all;
  begin
    NewMenuitem := TMenuItem.Create(miView);
    NewMenuitem.Action := ActionViewAllRecords;
    miView.Add(NewMenuitem);
    with TToolButton.Create(Self) do
    begin
      Left := 0;
      Action := ActionViewAllRecords;
      Parent := Toolbar1;
    end;
  end;
end;

procedure TFormLKRecordsBase.ActionSetFolderStoreDocumentImagesExecute(
  Sender: TObject);
begin
  with TJvBrowseForFolderDialog.Create(Self) do
  try
    Directory := FMyRecordsBase.FolderStoreDocumentImages;
    if Execute then
      FMyRecordsBase.FolderStoreDocumentImages := Directory;
    SetFolderStoreDocumentImages(FMyRecordsBase.FolderStoreDocumentImages);
  finally Free
  end;
end;

procedure TFormLKRecordsBase.CustomisedbGridMaster;
var
  I: Integer;
begin
  inherited;
  with dbGridMaster do
    for I := 0 to Count - 1 do
      with Items[I] do
        if (ControlType = dbcImageFile) then
        begin
          ActionSetFolderStoreDocumentImages.Visible := True;
          Break;
        end;
end;

end.

