{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsBase record                               }
{                                                                             }
{*****************************************************************************}

unit LKRecordsBaseRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDataComponentRecordDlg, ImgList, Menus, DB, ActnList, LKdlgs,
  DBCtrls, Buttons, ExtCtrls, ToolWin, ComCtrls, StdCtrls,
  LKRecordsComponents, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKRecordsBaseRecord = class(TFormLKDataComponentRecord)
    ActionPostEditMasterDB: TAction;
    procedure ActionPostEditMasterDBExecute(Sender: TObject);
  private
    { Private declarations }
    FMyRecordsBase : TLKRecordsBase;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsBase);
  end;

var
  FormLKRecordsBaseRecord: TFormLKRecordsBaseRecord;

implementation

{$R *.dfm}

{ TFormLKRecordsBaseRecord }

procedure TFormLKRecordsBaseRecord.ActionPostEditMasterDBExecute(
  Sender: TObject);
begin
  with FMyRecordsBase.TblMaster do
    if State in [dsInsert, dsEdit] then
    begin
      Post;
      Edit;
    end;
end;

procedure TFormLKRecordsBaseRecord.Construct(Sender: TLKRecordsBase);
begin
  FMyRecordsBase := Sender;
  inherited Construct(Sender);
end;

end.
