{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for duplicating a TLKRecordsInput record                          }
{                                                                             }
{*****************************************************************************}

unit LKRecordsInputCopyFromDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, DB, Mask,
  Buttons, ExtCtrls, Grids, DBGrids, DBCtrls, ImgList, ActnList,
  JvExControls, JvComponent, JvExExtCtrls, JvPanel, JvNetscapeSplitter,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, JvExtComponent, LKHeaderDlg,
  LKBaseComponent, LKRecordsComponents, LKDBControls, LKUtilComponents;

type
  TDlgLKRecordsInputCopyFrom = class(TFormLKHeaderDlg)
    EnquirySearchSBtn: TSpeedButton;
    CopyDS: TDataSource;
    CopyDtlDS: TDataSource;
    GridCopyMaster: TJvDBUltimGrid;
    GridCopyDetail: TJvDBUltimGrid;
    LKAcDBGridControllerCopyMaster: TLKDcDBGridController;
    LKAcDBGridControllerCopyDetail: TLKDcDBGridController;
    Splitter1: TSplitter;
    cbAll: TCheckBox;
    procedure EnquirySearchSBtnClick(Sender: TObject);
    procedure cbAllClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
    FMyDocuments: TLKRecordsInput;
    FHoldMasterComponent: TLKDataComponent;
  public
    { Public declarations }
    procedure Construct(ADocuments: TLKRecordsInput);
    property HoldMasterComponent: TLKDataComponent read FHoldMasterComponent;
  end;

var
  DlgLKRecordsInputCopyFrom: TDlgLKRecordsInputCopyFrom;

implementation

{$R *.DFM}

procedure TDlgLKRecordsInputCopyFrom.cbAllClick(Sender: TObject);
begin
  if cbAll.Checked then
    FMyDocuments.MasterComponent := nil
  else
    FMyDocuments.MasterComponent := FHoldMasterComponent;
end;

procedure TDlgLKRecordsInputCopyFrom.Construct(ADocuments: TLKRecordsInput);
begin
  FMyDocuments := ADocuments;
  FHoldMasterComponent := ADocuments.MasterComponent;
  FMyDocuments.TblMasterDataSource := CopyDS;
  FMyDocuments.TblDetailDataSource := CopyDtlDS;
  {
  FCopyDocuments := TLKRecordsBase.Create(Self);//ADocuments.Owner);
  with CopyDocuments do
  begin
    //Assign(ADocuments);
    TblDetail.Clone := ADocuments.TblDetail;
    TblMaster.Clone := ADocuments.TblMaster;
//    MasterComponent := nil;
    IndexDefs.Assign(ADocuments.IndexDefs);
    if (ADocuments.IndexFieldNames > '') then
      IndexFieldNames := ADocuments.IndexFieldNames
    else
      IndexName := ADocuments.IndexName;
    TblDetail.IndexDefs.Assign(ADocuments.TblDetail.IndexDefs);
      //DestACB.tblDetail.FieldDefs.Assign(tblDetail.FieldDefs);
      //DestACB.tDetailConstraints.AddStrings(tDetailConstraints);
    TblDetail.MasterFields := ADocuments.TblDetail.MasterFields;
    if (ADocuments.TblDetail.IndexFieldNames > '') then
      TblDetail.IndexFieldNames := ADocuments.TblDetail.IndexFieldNames
    else
      TblDetail.IndexName := ADocuments.TblDetail.IndexName;
    Open;
//  try
//    CopyDocuments.Refresh;
//    CopyDocuments.TblMaster.GotoCurrent(FMyDocuments.TblMaster);
//  except
//  end;
  end;
  try
//    CopyDocuments.Refresh;
    CopyDocuments.TblMaster.GotoCurrent(FMyDocuments.TblMaster);
  except
  end;
  }
  LKAcDBGridControllerCopyMaster.ConstructFromDatasource(
    FMyDocuments.MasterFields);
  LKAcDBGridControllerCopyMaster.LoadFormat(
        FMyDocuments, 'FormCopyFrom', 'GridCopyMaster');
  LKAcDBGridControllerCopyDetail.ConstructFromDatasource(
    FMyDocuments.TblDetail.MasterFields);
  LKAcDBGridControllerCopyDetail.LoadFormat(
          FMyDocuments, 'FormCopyFrom', 'GridCopyDetail');
end;

procedure TDlgLKRecordsInputCopyFrom.EnquirySearchSBtnClick(Sender: TObject);
begin
  FMyDocuments.DlgFindExecute('');
end;

procedure TDlgLKRecordsInputCopyFrom.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  LKAcDBGridControllerCopyMaster.SaveFormat(
        FMyDocuments, 'FormCopyFrom', 'GridCopyMaster');
  LKAcDBGridControllerCopyDetail.SaveFormat(
        FMyDocuments, 'FormCopyFrom', 'GridCopyDetail');
  inherited;
end;

end.

