{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                            }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsInput                                     }
{                                                                             }
{*****************************************************************************}

unit LKRecordsInputDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, Menus, StdCtrls, StdActns, Grids, DBGrids, DB, ActnList,
  DBCtrls, Buttons, ExtCtrls, ToolWin, ComCtrls,JvExExtCtrls,JvNetscapeSplitter,
  JvComponent, JvBaseDlg, JvBrowseFolder, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKdlgs, LKRecordsComponents, LKRecordsBaseDlg, LKDBControls, LKUtilComponents;

type
  TFormLKRecordsInput = class(TFormLKRecordsBase)
    ActionNewCopyFrom: TAction;
    MiNewCopyfrom1: TMenuItem;
    ToolButtonNewCopyFrom: TToolButton;
    procedure ActionNewCopyFromExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    FMyRecordsInput: TLKRecordsInput;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsInput);
  end;

var
  FormLKRecordsInput: TFormLKRecordsInput;

implementation

{$R *.dfm}

uses LKDefine, LKRecordsBaseRecordDlg;

procedure TFormLKRecordsInput.Construct(Sender: TLKRecordsInput);
begin
  FMyRecordsInput := Sender;
  inherited Construct(Sender);
  ActionNewCopyFrom.Visible := FMyRecordsInput.SequenceActive;
end;

procedure TFormLKRecordsInput.FormShow(Sender: TObject);
begin
  inherited;
  FMyRecordsInput.FindLast;
end;

procedure TFormLKRecordsInput.ActionNewCopyFromExecute(Sender: TObject);
begin
  FMyRecordsInput.DlgNewRecordCopyFromExecute;
end;

end.

