{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsPosting                                     }
{                                                                             }
{*****************************************************************************}

unit LKRecordsPostingDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LKRecordsSequencedDlg, ImgList, Menus, ActnList, Db, StdCtrls, Buttons,
  Grids, DBGrids, DBCtrls, ToolWin, ComCtrls, ExtCtrls, LKRecordsComponents,
  LKdlgs, JvExExtCtrls, JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKRecordsPosting = class(TFormLKRecordsSequenced)
    miActivitiesBreak1: TMenuItem;
    Daybook1: TMenuItem;
    ActionDaybook: TAction;
    sbDaybook: TToolButton;
    procedure ActionDaybookExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKRecordsPosting;
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsPosting);
  end;

var
  FormLKRecordsPosting: TFormLKRecordsPosting;

implementation

{$R *.DFM}
uses LKDefine, LKUtils;

procedure TFormLKRecordsPosting.Construct(Sender:
  TLKRecordsPosting);
begin
  FMyAccountsComponent := Sender;
  ActionDaybook.Visible := Assigned(FMyAccountsComponent.Daybook);
  inherited Construct(Sender);
end;

procedure TFormLKRecordsPosting.ActionDaybookExecute(Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.DaybookProcessBatch(self);
end;

end.

