{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for setting the sequence number of a TLKRecordsSequenced          }
{                                                                             }
{*****************************************************************************}

unit LKRecordsSequenceSetDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TDlgLKRecordsSequenceSet = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    eDocumentRefPrefix: TEdit;
    eSequenceNumber: TEdit;
    ckbxSequenceActive: TCheckBox;
    Label2: TLabel;
    Label3: TLabel;
    eSequenceNumberFillChar: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    procedure eSequenceNumberExit(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure eSequenceNumberFillCharExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DlgLKRecordsSequenceSet: TDlgLKRecordsSequenceSet;

implementation

uses LKutils;

{$R *.dfm}

procedure TDlgLKRecordsSequenceSet.eSequenceNumberExit(Sender: TObject);
begin
StrToInt(TEdit(Sender).Text);
end;

procedure TDlgLKRecordsSequenceSet.FormKeyPress(Sender: TObject;
  var Key: Char);
begin
MoveMyFocus(self,Key);
end;

procedure TDlgLKRecordsSequenceSet.eSequenceNumberFillCharExit(
  Sender: TObject);
begin
with eSequenceNumberFillChar do if Text = '' then Text := '0';
end;

end.
