{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsSequenced                                 }
{                                                                             }
{*****************************************************************************}

unit LKRecordsSequencedDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LKRecordsInputDlg, ImgList, Menus, ActnList, Db, StdCtrls, Buttons, Grids,
  DBGrids, DBCtrls, ToolWin, ComCtrls, ExtCtrls, StdActns,
  JvExExtCtrls, JvNetscapeSplitter,  JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKUtilComponents, LKDBControls, LKdlgs, LKRecordsComponents;

type
  TFormLKRecordsSequenced = class(TFormLKRecordsInput)
    ActionDlgSetRecordSequence: TAction;
    ActionDlgBlockInsertRecords: TAction;
    Numbersequence1: TMenuItem;
    ToolButtonBlockInsert: TToolButton;  procedure ActionDlgSetRecordSequenceExecute(Sender: TObject);
    procedure ActionDlgBlockInsertRecordsExecute(Sender: TObject);
  private
    { Private declarations }
    FMyRecordsSequenced: TLKRecordsSequenced;
  protected
    procedure UpdateUI; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsSequenced);
  end;

var
  FormLKRecordsSequenced: TFormLKRecordsSequenced;

implementation

{$R *.DFM}

procedure TFormLKRecordsSequenced.Construct(Sender: TLKRecordsSequenced);
begin
  FMyRecordsSequenced := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKRecordsSequenced.UpdateUI;
begin
  inherited;
  ActionNewCopyFrom.Visible := FMyRecordsSequenced.SequenceActive;
  ActionDlgBlockInsertRecords.Enabled := FMyRecordsSequenced.SequenceActive;
end;

procedure TFormLKRecordsSequenced.ActionDlgSetRecordSequenceExecute(Sender:
  TObject);
begin
  FMyRecordsSequenced.DlgSetDocumentsSequenceExecute;
  UpdateUI;
end;

procedure TFormLKRecordsSequenced.ActionDlgBlockInsertRecordsExecute(
  Sender: TObject);
begin
  FMyRecordsSequenced.DlgBlockInsertRecordsExecute;
end;


end.

