{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKRecordsSequenced records                         }
{                                                                             }
{*****************************************************************************}

unit LKRecordsSequencedRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, Mask, StdActns, StdCtrls, ExtCtrls,
  ComCtrls, DBCtrls, Buttons, ToolWin, Grids, DBGrids, JvExDBGrids, JvDBGrid,
  JvDBUltimGrid, LKRecordsComponents, LKUtils, LKDefine, LKdlgs,
  LKRecordsInputRecordDlg, LKDBControls, LKUtilComponents;

type
  TFormLKRecordsSequencedRecord = class(TFormLKRecordsInputRecord)
    procedure FormShow(Sender: TObject);
    procedure ActionNextItemExecute(Sender: TObject);
    procedure ActionItemEnterExecute(Sender: TObject);
  private
    { Private declarations }
    FMyRecordsSequenced: TLKRecordsSequenced;
    FDetailItemNumber: Integer;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsSequenced);
  end;

var
  FormLKRecordsSequencedRecord: TFormLKRecordsSequencedRecord;

implementation

{$R *.dfm}

procedure TFormLKRecordsSequencedRecord.Construct(
  Sender: TLKRecordsSequenced);
begin
  FMyRecordsSequenced := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKRecordsSequencedRecord.FormShow(Sender: TObject);
begin
  inherited;
  with FMyRecordsSequenced do
    if (TblDetail.FindLast) then
      FDetailItemNumber := TdItemNumber + 1
    else
      FDetailItemNumber := 1;
end;

procedure TFormLKRecordsSequencedRecord.ActionItemEnterExecute(Sender: TObject);
begin
  inherited;
  if (FMyRecordsSequenced.TblDetail.State = dsInsert) and
    TDBEdit(DBEItemNo).Field.IsNull then
  begin
    TDBEdit(DBEItemNo).Field.asInteger := FDetailItemNumber;
//    SendMessage(Self.Handle, WM_NEXTDLGCTL, 0, 0);
  end;
end;

procedure TFormLKRecordsSequencedRecord.ActionNextItemExecute(Sender: TObject);
begin
  with FMyRecordsSequenced do
    if (TblDetail.FindLast) then
      FDetailItemNumber := TdItemNumber + 1;
  inherited;
end;

end.

