{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for showing a TLKTable                                        }
{                                                                             }
{*****************************************************************************}

unit LKSimpleTableDlg;

interface

uses
  Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, DB, ToolWin, ComCtrls, Variants, ActnMan, ActnCtrls,
  XPStyleActnCtrls, ImgList, ActnList, DBCtrls, StdActns, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKFormBaseDlg, LKRecordsComponents,
  LKDefine, LKUtils, LKUtilComponents, LKDBControls;

type
  TLKDlgSimpleTableView = class(TFormLKBase)
    Panel1: TPanel;
    btnOK: TButton;
    dsBlob: TDataSource;
    ToolBar1: TToolBar;
    DBNavigator1: TDBNavigator;
    ToolButton1: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    Panel1Data: TPanel;
    GridTable: TJvDBUltimGrid;
    dbGridMaster: TLKDcDBGridController;
    procedure FormResize(Sender: TObject);
    procedure aPrintExecute(Sender: TObject);
  private
    { Private declarations }
    FMyDataset: TLKTable;
  protected
  public
    { Public declarations }
    procedure Construct(ADataset: TLKTable; Editing: Boolean);
      overload; virtual;
  end;

var
  LKDlgSimpleTableView: TLKDlgSimpleTableView;

implementation

{$R *.dfm}

procedure TLKDlgSimpleTableView.Construct(ADataset: TLKTable;
  Editing: Boolean);
begin
  FMyDataset := ADataset;
  dsBlob.Dataset := FMyDataset;
  Caption := StringReplace(FMyDataset.TableName, '_', ' ', [rfReplaceAll]);
  dbGridMaster.ConstructFromDatasource('');
  dbGridMaster.ReadOnly := not Editing;
end;

procedure TLKDlgSimpleTableView.FormResize(Sender: TObject);
begin
  inherited;
  btnOK.Left := Trunc(Width / 2) - 38;
end;

procedure TLKDlgSimpleTableView.aPrintExecute(Sender: TObject);
begin
  inherited;
  with FMyDataset do
    DlgPrintExecute(TableName, 'Default', null, false);
end;

end.

