{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Simple SQL editor                                                      }
{                                                                             }
{*****************************************************************************}

unit LKSystemComponentSQLWizardDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, ImgList, ExtCtrls, Buttons, StdCtrls, LKHeaderDlg,
  LKRecordsComponents, LKBaseComponent;

type
  TDlgLKSystemComponentSQLWizard = class(TFormLKHeaderDlg)
    MemoSQL: TMemo;
    procedure MemoSQLChange(Sender: TObject);
    procedure BtnApplyClick(Sender: TObject);
  private
    { Private declarations }
    FSystemComponent: TLKSystemComponent;
  public
    { Public declarations }
    procedure Construct(ASystemComponent: TLKSystemComponent);
  end;

var
  DlgLKSystemComponentSQLWizard: TDlgLKSystemComponentSQLWizard;

implementation

{$R *.dfm}

procedure TDlgLKSystemComponentSQLWizard.Construct(
  ASystemComponent: TLKSystemComponent);
begin
  FSystemComponent := ASystemComponent;
end;

procedure TDlgLKSystemComponentSQLWizard.MemoSQLChange(Sender: TObject);
begin
  inherited;
  BtnApply.Enabled := true;
end;

procedure TDlgLKSystemComponentSQLWizard.BtnApplyClick(Sender: TObject);
var
  s: string;
  i: Integer;
begin
  inherited;
  try
    s := '';
    for i := 0 to MemoSQL.Lines.Count - 1 do
      s := s + MemoSQL.Lines[i] + ' ';
    FSystemComponent.SQLExecute(s);
  except on E: Exception do
    begin
      Showmessage('A problem ocurred:' + chr(13) + E.Message);
      exit;
    end;
  end;
  ShowMessage('Script processed okay');
end;

end.

