{*****************************************************************************}
{                                                                             }
{   This file is part of the LKUtilities components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to sort a list of components                                      }
{                                                                             }
{*****************************************************************************}

unit LKCompomentListSortDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, LKBaseComponent;

type
  TDlgLKCompomentListSort = class(TForm)
    ListBox: TListBox;
    Panel1: TPanel;
    sbUp: TBitBtn;
    sbDown: TBitBtn;
    OKBtn: TButton;
    procedure FormShow(Sender: TObject);
    procedure sbUpClick(Sender: TObject);
    procedure sbDownClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ListToSort: TLKComponentList;
  end;

var
  DlgLKCompomentListSort: TDlgLKCompomentListSort;

implementation

{$R *.DFM}

procedure TDlgLKCompomentListSort.FormShow(Sender: TObject);
var
  I: integer;
begin
  with ListToSort do
    for I := 0 to (Count - 1) do
      ListBox.Items.Add(ListToSort[I].NameFriendly);
end;

procedure TDlgLKCompomentListSort.sbUpClick(Sender: TObject);
var
  I: integer;
begin
  with listBox do
  begin
    I := ItemIndex;
    if (I = 0) then
      Exit;
    ListToSort.Exchange(I - 1, I);
    Items.Exchange(I - 1, I);
    ItemIndex := I - 1;
  end;
end;

procedure TDlgLKCompomentListSort.sbDownClick(Sender: TObject);
var
  I: integer;
begin
  with listBox do
  begin
    I := ItemIndex;
    if (I = Items.Count - 1) then
      Exit;
    ListToSort.Exchange(I, I + 1);
    Items.Exchange(I, I + 1);
    ItemIndex := I + 1;
  end;
end;

end.

