{*****************************************************************************}
{                                                                             }
{   This file is part of the LKUtilities components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to a TLKComponent with [Apply] button                             }
{                                                                             }
{*****************************************************************************}

unit LKComponentApplyDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, System.UITypes,
  Graphics, Controls, Forms,
  Dialogs, LKComponentDlg, ImgList, ActnList, StdCtrls, ExtCtrls,
  StdActns;

type
  TFormLKComponentApply = class(TFormLKComponent)
    Panel4: TPanel;
    btnClose: TButton;
    btnApply: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure btnApplyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormLKComponentApply: TFormLKComponentApply;

implementation

{$R *.dfm}

procedure TFormLKComponentApply.btnApplyClick(Sender: TObject);
begin
  btnApply.Enabled := False;
end;

procedure TFormLKComponentApply.FormClose(Sender: TObject;
  var Action: TCloseAction);
var Mr : TModalResult;
begin
  Mr := mrOK;
  if btnApply.Enabled then
    if (MessageDlg('Save changes?', mtInformation,[mbYes,mbNo],0) = mrYes) then
      btnApply.Click
  else Mr := mrCancel;
  ModalResult := Mr;
end;

procedure TFormLKComponentApply.FormShow(Sender: TObject);
begin
  inherited;
  btnApply.Enabled := False;
end;

end.
