{*****************************************************************************}
{                                                                             }
{   This file is part of the LKUtilities components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to a show a TLKComponent                                          }
{                                                                             }
{*****************************************************************************}

unit LKComponentDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, ActnList, ExtCtrls, StdCtrls, DB, DBGrids,
  LKBaseComponent, LKFormBaseDlg, StdActns;

type
  TFormLKComponent = class(TFormLKBase)
  private
    { Private declarations }
    FIsNew: boolean;
    FMyLKComponent: TLKComponent;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKComponent);
    function ShowAsNew(const IsNewObject, ShowAsModal: Boolean): TModalResult;
      virtual;
  end;

var
  FormLKComponent: TFormLKComponent;

implementation

{$R *.dfm}

{ TTDlgLKTreeViewObjectBase }

procedure TFormLKComponent.Construct(Sender: TLKComponent);
begin
  FMyLKComponent := Sender;
  Caption := FMyLKComponent.NameFriendly;
end;

function TFormLKComponent.ShowAsNew(
  const IsNewObject, ShowAsModal: boolean): TModalResult;
begin
  FIsNew := IsNewObject;
  if ShowAsModal then
    Result := ShowModal
  else
  begin
    Show;
    Result := mrOK;
  end;
end;

end.

