{*****************************************************************************}
{                                                                             }
{   This file is part of the LKCRMBase components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKRecordsOrderEntry record                             }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsOrderEntryRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdActns, StdCtrls, ExtCtrls, ComCtrls,
  DBCtrls, Buttons, ToolWin, Grids, DBGrids, Mask,
  JvDBGrid, JvDBUltimGrid, JvExDBGrids,
  LKAccountsComponents, LKRecordsSequencedRecordDlg, LKRecordsComponents,
  LKUtils, LKDefine, LKDlgs, LKCRMBaseComponents, LKDBControls,LKUtilComponents;

type
  TFormLKDocumentsOrderEntryRecord = class(TFormLKRecordsSequencedRecord)
    ActionNewSalesInvoice: TAction;
    SbInvoiceJob: TToolButton;
    procedure ActionNewSalesInvoiceExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKRecordsOrderEntry;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsOrderEntry);
  end;

var
  FormLKDocumentsOrderEntryRecord: TFormLKDocumentsOrderEntryRecord;

implementation

{$R *.dfm}

procedure TFormLKDocumentsOrderEntryRecord.Construct(
  Sender: TLKRecordsOrderEntry);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsOrderEntryRecord.ActionNewSalesInvoiceExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgNewInvoiceWizardExecute;
end;

end.

