{*****************************************************************************}
{                                                                             }
{   This file is part of the LKGliding components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKRecordsGlidingLogAerotow                             }
{                                                                             }
{*****************************************************************************}

unit LKGlidingLogAerotowInputDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDocumentsOrderEntryDlg, LKDBControls,
  LKUtilComponents, ImgList, Menus, DB, ActnList, Grids, DBGrids, JvExDBGrids,
  JvDBGrid, JvDBUltimGrid, StdCtrls, LKdlgs, DBCtrls, ExtCtrls, ComCtrls,
  ToolWin, JvExExtCtrls, JvNetscapeSplitter, LKGlidingComponents;

type
  TFormLKGlidingLogAerotowInput = class(TFormLKDocumentsOrderEntry)
  private
    { Private declarations }                    
    FMyAccountsComponent: TLKRecordsGlidingLogAerotow;
  protected
    procedure CustomisedbGridMaster; override;
  public
    { Public declarations }     
    procedure Construct(Sender: TLKRecordsGlidingLogAerotow);
  end;

var
  FormLKGlidingLogAerotowInput: TFormLKGlidingLogAerotowInput;

implementation

{$R *.dfm}

uses LKDefine;

{ TFormLKGlidingLogAerotowInput }

procedure TFormLKGlidingLogAerotowInput.Construct(
  Sender: TLKRecordsGlidingLogAerotow);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKGlidingLogAerotowInput.CustomisedbGridMaster;
var
  I: Integer;
begin
  inherited;
  with dbGridMaster do
    for I := 0 to Count - 1 do
      with Items[I] do
      begin
        if (FieldName = 'TUG_PILOT') then
        begin
          ControlType := dbcDCLookup;
          with TLKDBDcLookupEdit(EditControl) do
          begin
            LookupDataComponent := FMyAccountsComponent.ClubMembers;
            LookupDataset := tbMaster;
            LookupFieldName := 'MEMBER_REFERENCE';
          end;
        end;
        Break;
      end;
end;

end.
