{*****************************************************************************}
{                                                                             }
{   This file is part of the LKGliding components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKClubMembers record                                   }
{                                                                             }
{*****************************************************************************}

unit LKMembersRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDataComponentRecordDlg, Menus, ImgList, ActnList, DB, StdCtrls,
  DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin, LKRecordsComponents,
  LKGlidingComponents, LKdlgs, StdActns, LKDBControls, LKUtilComponents, Grids,
  DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKMembersRecord = class(TFormLKDataComponentRecord)
    ActionViewAccount: TAction;
    Account1: TMenuItem;
    sbViewAccount: TToolButton;
    procedure ActionViewAccountExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKClubMembers;
  public
    { Public declarations }
    procedure Construct(Sender: TLKClubMembers);
  end;

var
  FormLKMembersRecord: TFormLKMembersRecord;

implementation

{$R *.dfm}

procedure TFormLKMembersRecord.Construct(Sender: TLKClubMembers);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKMembersRecord.ActionViewAccountExecute(Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.CheckMembersAccount;
  FMyAccountsComponent.MembersAccounts.ViewRecord(Null, True, [mbOK]);
end;

end.

