unit LKServiceJobCardsInputRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDocumentsTradeRecordDlg, Menus, ImgList, ActnList, DB,
  StdCtrls, ExtCtrls, ComCtrls, DBCtrls, Buttons, ToolWin, Grids, DBGrids,
  Mask, LKCoreComponents, LKUtils, LKDefine, LKServiceComponents,
  LKAccountsComponents,
  LKdlgs, LKUtilComponents, StdActns,
  LKDBGridControler, LKJvDBEdits, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDBControls, LKDBEdits;

type
  TFormLKServiceJobCardsInputRecord = class(TFormLKDocumentsTradeRecord)
    DSJobInvMaster: TDataSource;
    ActionViewInvoice: TAction;
    pInvoice: TPanel;
    dbgSalesInv: TDBGrid;
    Panel3: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    DBEdit1: TDBEdit;
    DBEdit4: TDBEdit;
    ActionPriceCodeExit: TAction;
    sbInvoice: TToolButton;
    procedure ActionViewInvoiceExecute(Sender: TObject);
    procedure ActionPriceCodeExitExecute(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ActionNewSalesInvoiceExecute(Sender: TObject);
  private
    { Private declarations }
    MyAccountsComponent: TLKServiceJobCards;
  protected
    dbeQuoteCode: TDBEdit;
    procedure SetDataSourceDataSets; override;
    procedure CustomiseDetailEdits; override;
  public
    { Public declarations }
    procedure Construct(Sender: TLKServiceJobCards); 
  end;

var
  FormLKServiceJobCardsInputRecord: TFormLKServiceJobCardsInputRecord;

implementation

{$R *.dfm}

procedure TFormLKServiceJobCardsInputRecord.Construct(
  Sender: TLKServiceJobCards);
begin
  MyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKServiceJobCardsInputRecord.CustomiseDetailEdits;
var
  I: integer;
  VATReturns: TLKVATReturns;
  IsVAT: boolean;
begin
  inherited;
  // identify TDBEdits for TblDetail where a Post is required on exit
  with DetailEditList do
    for I := 0 to Count - 1 do
      with Items[I] do
      begin
        if (FieldName = 'PRICE_CODE') then
        begin
          ControlType := dbcACLookup;
          with TLKDBACLookupEdit(EditControl) do
          begin
            LookupAccountsComponent := MyAccountsComponent.MasterComponent;
            LookupDataset := tbDetail;
          end;
          OnExit := ActionPostEditDetailDB.OnExecute;
        end;
        if (FieldName = 'DESCRIPTION') then
        begin
          ReadOnly := True;
        end;
      end;
  try
    VATReturns := MyAccountsComponent.AccountsHub.VATReturns;
  except VATReturns := nil
  end;
  IsVAT := assigned(VATReturns);
  //if isVAT then isVAT := not (VATReturns.Status = acsNotUsed);
  dbgSalesInv.Columns[2].Visible := IsVAT;
end;

procedure TFormLKServiceJobCardsInputRecord.SetDataSourceDataSets;
begin
  inherited;
  with MyAccountsComponent do
  begin
    if Assigned(JobInvoices) then
      with JobInvoices do
      begin
        tMasterDataSource := DSJobInvMaster;
      end;
  end;
end;

procedure TFormLKServiceJobCardsInputRecord.ActionViewInvoiceExecute(
  Sender: TObject);
begin
  inherited;
  with MyAccountsComponent do
    SalesInvoices.ViewRecord(
      JobInvoices.TblDetail.FieldByName('INVOICE_REFERENCE').asString, true,
        [mbOK]);
end;

procedure TFormLKServiceJobCardsInputRecord.ActionNewSalesInvoiceExecute(
  Sender: TObject);
begin
  inherited;
  ActionViewInvoice.Enabled := MyAccountsComponent.JobInvoices.TblMaster.FindFirst;
end;

procedure TFormLKServiceJobCardsInputRecord.ActionPriceCodeExitExecute(
  Sender: TObject);
//var s : string;
begin
  inherited;
  {
with myAccountsComponent do
 begin
 if (TblDetail.State = dsBrowse) then exit;
 s := dbeQuoteCode.Field.AsString;
 if (s > '') and not MasterComponent.TblDetail.Locate('PRICE_CODE',s,[]) then
  begin
  MasterComponent.ViewRecord( null,true,[mbOK]);
  TblDetail.Edit;
  dbeQuoteCode.Field.AsString :=
   MasterComponent.TblDetail.FieldByName('PRICE_CODE').AsString;
  TblDetail.Post; TblDetail.Edit;
  end;
 end;
 }
end;

procedure TFormLKServiceJobCardsInputRecord.FormShow(Sender: TObject);
begin
  inherited;
  ActionViewInvoice.Enabled := MyAccountsComponent.JobInvoices.TblMaster.FindFirst;
end;

end.

