unit FinishDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, LKBaseComponent, Buttons, RpDefine, RpBase,
  RpSystem, ShellAPI;

type
  TFormFinish = class(TForm)
    Panel1: TPanel;
    ButtonClose: TButton;
    LKHeaderPanel1: TLKHeaderPanel;
    BitBtnPrint: TBitBtn;
    RPPrinter: TRvSystem;
    LabelFirebirdSite: TLabel;
    procedure FormShow(Sender: TObject);
    procedure RPPrinterPrint(Sender: TObject);
    procedure LabelFirebirdSiteClick(Sender: TObject);
    procedure BitBtnPrintClick(Sender: TObject);
  private
    FProjectDirectory: string;
    FAlias: string;
    FAccountsYear: string;
    FAccountsDirectory: string;
    { Private declarations }
  public
    { Public declarations }
    property Alias: string read FAlias write FAlias;
    property AccountsYear: string read FAccountsYear write FAccountsYear;
    property AccountsDirectory: string read FAccountsDirectory write FAccountsDirectory;
    property ProjectDirectory: string read FProjectDirectory write FProjectDirectory;
  end;

var
  FormFinish: TFormFinish;

implementation

{$R *.dfm}

procedure TFormFinish.BitBtnPrintClick(Sender: TObject);
begin
  RPPrinter.Execute;
end;

procedure TFormFinish.FormShow(Sender: TObject);
begin
  LKHeaderPanel1.Comments.Text :=
  'A user Accounts folder has been created at ' + FAccountsDirectory + '.'
  + Chr(10) + Chr(10)
  + 'Your '+ FAlias + 'Accounts executable should be set to compile to '
  + FAccountsDirectory + PathDelim + 'program subfolder' + Chr(10)+ Chr(10)
  + 'A ' + FAlias + FAccountsYear + '.FDB Firebird database file has been '
  + 'created in the ' + FAccountsDirectory + PathDelim
  + 'data subfolder together with sample create SQL.' + Chr(10) + Chr(10)
  + 'You can either download the Firebird Embedded files and unpack them to '
  + 'the '+ FAccountsDirectory + PathDelim
  + 'program subfolder or deploy the FDB data file to your Firbird server.'
  +  Chr(10) + 'If deploying to a Firebird server you should set up a '
  + FAlias + FAccountsYear
  + ' alias in the server''s Firebird aliases.config file.' +Chr(10) +Chr(10)
  + 'Remember to copy the Firebird client library fbclient.dll to the '
  + FAccountsDirectory + PathDelim + 'program subfolder if deploying against a '
  + 'Firebird server or fbembed.dll if using Embeded Firebird. When deploying '
  + 'to users you will also need the Delphi dbExpress driver dbxfb.dll '
  + 'deployed with the executable.' + Chr(10)+ Chr(10)
  + 'Your Delphi project is here: ' + FProjectDirectory + Chr(10)
  + 'In Delphi, open the project group, right-click the group and select '
  + '"compile all". On sucess, right-click '+FAlias+'.bpl and select "install"'
end;

procedure TFormFinish.LabelFirebirdSiteClick(Sender: TObject);
begin
  ShellExecute(Application.Handle,'open','http://www.firebirdsql.org/','','',1);
end;

procedure TFormFinish.RPPrinterPrint(Sender: TObject);
var
  I: Integer;
begin
  with LKHeaderPanel1.Comments do
    for I := 0 to Count - 1 do
      RPPrinter.BaseReport.Println(Strings[I]);
end;

end.
