unit TargetAccountsDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, LKBaseComponent;

type
  TFormTargetAccounts = class(TForm)
    LKHeaderPanel1: TLKHeaderPanel;
    Panel1: TPanel;
    ButtonNext: TButton;
    ButtonBack: TButton;
    StaticText1: TStaticText;
    EditAlias: TEdit;
    StaticText2: TStaticText;
    EditYear: TEdit;
    UpDown1: TUpDown;
    procedure EditAliasChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormTargetAccounts: TFormTargetAccounts;

const HeaderComment = 'Please enter an Alias for your Enterprise (for example '
 + 'for the "ACME Tool Mfg. Co." you might enter "ACME".).' +  Chr(10)
 + 'The Alias is recommended to be 4 characters and must be an allowable '
 + 'component name, i.e. starting with an alpha character and in CamelCase or '
 + 'CAPITALS. No Spaces.' + Chr(10) + Chr(10)
 + 'If your Enterprise has divisions or sites the Alias could be two letters '
 + 'to abbreviate the Enterprise name plus two letters for your '
 + 'division/site name)' + Chr(10) + Chr(10)
 + 'The Database file name is derived from the Alias and the four digit Year '
 + 'in which your Financial (or accounting) Year ends.' ;

implementation

{$R *.dfm}

procedure TFormTargetAccounts.EditAliasChange(Sender: TObject);
begin
  ButtonNext.Enabled := (Trim(EditAlias.Text) > '');
end;

procedure TFormTargetAccounts.FormShow(Sender: TObject);
var
  Y, M, D: Word;
begin
  LKHeaderPanel1.Comments.Text := HeaderComment;
  DecodeDate(Date, Y, M, D);
  UpDown1.Position := Y + 1;
end;

end.
