{*****************************************************************************}
{                                                                             }
{   This file is part of the ZoomAccounts program executable                  }
{                                                                             }
{   See the file COPYING.GPL.txt included in this distribution,               }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form about                                                             }
{                                                                             }
{*****************************************************************************}

unit AboutDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    ProductVersion: TLabel;
    FileVersion: TLabel;
    OKButton: TButton;
    LabelSupport: TLabel;
    LabelWWW: TLabel;
    procedure LabelWWWClick(Sender: TObject);
    procedure LabelSupportClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    procedure GetVersionInfo;
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses DataModZoom;

{$R *.dfm}

procedure TAboutBox.FormShow(Sender: TObject);
begin
ProgramIcon.Picture.Assign(Application.Icon);
ProductName.Caption := Application.Title;
//ProductVersion.Caption := 'Product version: '+ DatamoduleZoom.Hub.ProductID;
GetVersionInfo;
end;



procedure TAboutBox.GetVersionInfo;

type
  PFixedFileInfo = ^TFixedFileInfo;
  TFixedFileInfo = record
    Signature: DWord;
    StrucVersion: DWord;
    Minor: Word;
    Major: Word;
    Build: Word;
    Release: Word;
    FileFlagsMask: DWord;
    FileFlags: DWord;
    FileOS: DWord;
    FileType: DWord;
    FileSubtype: DWord;
    FileDateMS: DWord;
    FileDateLS: DWord;
  end;

//function GetFileVersion(_FileName: String): String;
var
  FileInfo: TFixedFileInfo;

 function GetFileInfo(const FileName: string): TFixedFileInfo;
 var
   Handle, VersionSize: DWord;
   SubBlock: string;
   Temp: Pointer;
   Data: Pointer;
 begin
 SubBlock := '\';

 VersionSize := GetFileVersionInfoSize(PChar( FileName ), Handle );

 if VersionSize > 0 then
  begin
  GetMem( Temp, VersionSize );
  try
  if GetFileVersionInfo( PChar( FileName ), Handle, VersionSize, Temp ) then
   if VerQueryValue( Temp, PChar( SubBlock ), Data, VersionSize ) then
    Result := PFixedFileInfo( Data )^;
  finally FreeMem( Temp ); end;
  end;
 end;

begin
FileInfo.Major := 0;
FileInfo.Minor := 0;
FileInfo.Release := 0;
FileInfo.Build := 0;
FileInfo := GetFileInfo(Application.ExeName);

with FileInfo do
  FileVersion.Caption := 'Build Version: '+ IntToStr(Major) + '.'
    + IntToStr(Minor) + '.' + IntToStr(Release) + '.' +  IntToStr(Build);
end;

procedure TAboutBox.LabelWWWClick(Sender: TObject);
begin
  ShellExecute(Application.Handle,'open','http://www.leskaye.com/zoom/',
    nil, nil, 1);
end;

procedure TAboutBox.LabelSupportClick(Sender: TObject);
begin
  DatamoduleZoom.Hub.DlgSupportExecute;
end;

end.

