{*****************************************************************************}
{                                                                             }
{   This file is part of the ZoomAccounts program executable                  }
{                                                                             }
{   See the file COPYING.GPL.txt included in this distribution,               }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Data module                                                            }
{                                                                             }
{*****************************************************************************}

unit DataModZoom;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  variants,
  LKDefine, LKRecordsComponents, ZoomComponents,
  LKBaseComponent, DBClient, WideStrings, LKAccountsComponents,
  DB, SqlExpr, FMTBcd, Provider,
  DBXFirebird, ImgList;

type
  TDatamoduleZoom = class(TDataModule)
    Hub: TLKHubAccounts;
    acgMain: TLKGroup;
    LedgerNominal: TZoomLedgerNominal;
    LedgerCost: TZoomLedgerCost;
    JournalDayBook: TZoomDayBookJournal;
    Journal: TZoomJournal;
    VATReturns: TZoomSalesTaxReturns;
    acgSales: TLKGroup;
    LedgerSales: TZoomLedgerSales;
    acgPurchases: TLKGroup;
    LedgerPurchase: TZoomLedgerPurchase;
    DaybookPurchase: TZoomDaybookPurchase;
    acgBank: TLKGroup;
    LedgerBank: TZoomLedgerBank;
    DaybookBankings: TZoomDaybookBank;
    DaybookBankPayments: TZoomDaybookBank;
    PurchInvoices: TZoomDocumentsPurchaseInvoices;
    Bankings: TZoomDocumentsBankBook;
    BankPayments: TZoomDocumentsBankBook;
    DaybookCheques: TZoomDaybookBank;
    Cheques: TZoomDocumentsBankBook;
    SalesInvoices: TZoomDocumentsSalesInvoices;
    DaybookSales: TZoomDaybookSales;
    FDBConnection: TSQLConnection;
    DMImageList: TImageList;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DatamoduleZoom: TDatamoduleZoom;

implementation

uses MainForm, LKUtils, LKUtilsDB;

{$R *.DFM}

procedure TDatamoduleZoom.DataModuleCreate(Sender: TObject);
var
  Recent, W: string; //, current
  D,M,Y: Word;
begin
  DecodeDate((Date - 760), Y, M, D);
  Recent := Chr(39)+IntToStr(M)+'/'+IntToStr(D)+'/'+IntToStr(Y)+Chr(39);
 // Recent := Chr(39) + DateToStr(Date - 760) + Chr(39);

//    Chr(39) + StringReplace(DateToStr(Date - 760), '/', '.', [rfReplaceAll]) +
//      Chr(39);
  //current := chr(39) + DateToStr(Date-30) + chr(39);
  // if (DateDelim <> '/') then begin
  // while (pos('/',current) > 0) do current[pos('/',current)] :=  char('.');//DateDelim;
  // end;
  W := 'BATCH IS NULL OR DATE_ > ' + Recent;
  Journal.TblMaster.WhereClause := W;
  SalesInvoices.TblMaster.WhereClause := W;
  PurchInvoices.TblMaster.WhereClause := W;
  Bankings.TblMaster.WhereClause := W;
  Cheques.TblMaster.WhereClause := W;
end;


end.

