{*****************************************************************************}
{                                                                             }
{   This file is part of the Zoom components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Zoom components stub classes                                    }
{                                                                             }
{*****************************************************************************}

unit ZoomComponents;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, StdCtrls, ComCtrls, Contnrs, Variants,
  LKRecordsComponents, LKAccountsComponents;

type
  TZoomLedgerNominal = class(TLKLedgerNominal)
  end;

  TZoomLedgerCost = class(TLKLedgerCost)
  end;

  TZoomLedgerCash = class(TLKLedgerCash)
  end;

  TZoomLedgerBank = class(TLKLedgerBank)
  end;

  TZoomLedgerSales = class(TLKLedgerSales)
  end;

  TZoomLedgerPurchase = class(TLKLedgerPurchase)
  end;

  TZoomSalesTaxReturns = class(TLKSalesTaxReturns)
  end;

  TZoomDaybookJournal = class(TLKDaybookJournal)
  end;

  TZoomDaybookCash = class(TLKDaybookCash)
  end;

  TZoomDaybookPettyCash = class(TLKDaybookPettyCash)
  end;

  TZoomDaybookBank = class(TLKDaybookBank)
  end;

  TZoomDaybookSales = class(TLKDaybookSales)
  end;

  TZoomDaybookPurchase = class(TLKDaybookPurchase)
  end;

  TZoomJournal = class(TLKJournal)
  end;

  TZoomDocumentsCashBook = class(TLKDocumentsCashBook)
  end;

  TZoomDocumentsBankBook = class(TLKDocumentsBankBook)
  end;

  TZoomDocumentsPettyCash = class(TLKDocumentsPettyCash)
  end;

  TZoomDocumentsPurchaseInvoices = class(TLKDocumentsPurchaseInvoices)
  end;

  TZoomDocumentsSalesInvoices = class(TLKDocumentsSalesInvoices)
  end;

  TZoomSalesManagers = class(TLKSalesManagers)
  end;

procedure Register;

implementation

procedure Register;
begin
  // RegisterComponents('Zoom', [TZoomHubAccounts]);
  RegisterComponents('Zoom', [TZoomLedgerNominal]);
  RegisterComponents('Zoom', [TZoomLedgerCost]);
  RegisterComponents('Zoom', [TZoomLedgerBank]);
  RegisterComponents('Zoom', [TZoomLedgerCash]);
  RegisterComponents('Zoom', [TZoomLedgerSales]);
  RegisterComponents('Zoom', [TZoomLedgerPurchase]);
  RegisterComponents('Zoom', [TZoomSalesTaxReturns]);
  RegisterComponents('Zoom', [TZoomDaybookJournal]);
  RegisterComponents('Zoom', [TZoomDaybookPettyCash]);
  RegisterComponents('Zoom', [TZoomDaybookCash]);
  RegisterComponents('Zoom', [TZoomDaybookBank]);
  RegisterComponents('Zoom', [TZoomDaybookSales]);
  RegisterComponents('Zoom', [TZoomDaybookPurchase]);
  RegisterComponents('Zoom', [TZoomJournal]);
  RegisterComponents('Zoom', [TZoomDocumentsPettyCash]);
  RegisterComponents('Zoom', [TZoomDocumentsCashBook]);
  RegisterComponents('Zoom', [TZoomDocumentsBankBook]);
  RegisterComponents('Zoom', [TZoomDocumentsSalesInvoices]);
  RegisterComponents('Zoom', [TZoomDocumentsPurchaseInvoices]);
  RegisterComponents('Zoom', [TZoomSalesManagers]);
end;

initialization

  RegisterClasses([  
  TZoomLedgerNominal,TZoomLedgerCost,TZoomLedgerCash,
  TZoomLedgerBank,TZoomLedgerSales,TZoomLedgerPurchase,
  TZoomSalesTaxReturns,TZoomDaybookJournal,TZoomDaybookCash,
  TZoomDaybookPettyCash,TZoomDaybookBank,TZoomDaybookSales,
  TZoomDaybookPurchase,TZoomJournal,TZoomDocumentsCashBook,
  TZoomDocumentsBankBook,TZoomDocumentsPettyCash,
  TZoomDocumentsPurchaseInvoices,TZoomDocumentsSalesInvoices,
  TZoomSalesManagers
  ]);
end.
