{*****************************************************************************}
{                                                                             }
{   This file is part of the ZoomGliding components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      ZoomGliding components                                                 }
{                                                                             }
{*****************************************************************************}

unit ZoomGlidingComponents;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, StdCtrls, ComCtrls, Contnrs, Variants,
  LKRecordsComponents, LKAccountsComponents, LKCRMBaseComponents,
  LKGlidingComponents;

type
  TZoomGlidingLedgerNominal = class(TLKLedgerNominal)
  end;

  TZoomGlidingLedgerCost = class(TLKLedgerCost)
  end;

  TZoomGlidingLedgerCash = class(TLKLedgerCash)
  end;

  TZoomGlidingLedgerBank = class(TLKLedgerBank)
  end;

  TZoomGlidingLedgerSales = class(TLKLedgerSales)
  end;

  TZoomGlidingLedgerPurchase = class(TLKLedgerPurchase)
  end;

  TZoomGlidingSalesTaxReturns = class(TLKSalesTaxReturns)
  end;

  TZoomGlidingDaybookJournal = class(TLKDaybookJournal)
  end;

  TZoomGlidingDaybookCash = class(TLKDaybookCash)
  end;

  TZoomGlidingDaybookPettyCash = class(TLKDaybookPettyCash)
  end;

  TZoomGlidingDaybookBank = class(TLKDaybookBank)
  end;

  TZoomGlidingDaybookSales = class(TLKDaybookSales)
  end;

  TZoomGlidingDaybookPurchase = class(TLKDaybookPurchase)
  end;

  TZoomGlidingJournal = class(TLKJournal)
  end;

  TZoomGlidingDocumentsCashBook = class(TLKDocumentsCashBook)
  end;

  TZoomGlidingDocumentsBankBook = class(TLKDocumentsBankBook)
  end;

  TZoomGlidingDocumentsPettyCash = class(TLKDocumentsPettyCash)
  end;

  TZoomGlidingDocumentsPurchaseInvoices = class(TLKDocumentsPurchaseInvoices)
  end;

  TZoomGlidingDocumentsSalesInvoices = class(TLKDocumentsSalesInvoicesPriced)
  end;

  TZoomGlidingSalesManagers = class(TLKSalesManagers)
  end;

  TZoomGlidingClubMembers = class(TLKClubMembers)
  end;

  TZoomGlidingLedgerLogGlider = class(TLKLedgerLogGlider)
  end;

  TZoomGlidingLedgerLogTug = class(TLKLedgerLogTug)
  end;

  TZoomGlidingLedgerLogPilotGlider = class(TLKLedgerLogPilotGlider)
  end;

  TZoomGlidingLedgerLogPilotTug = class(TLKLedgerLogPilotTug)
  end;

  TZoomGlidingDaybookLogAerotow = class(TLKDaybookGlidingLogAerotow)
  end;

  TZoomGlidingDaybookLogWinch = class(TLKDaybookGlidingLogWinch)
  end;

  TZoomGlidingPriceLists = class(TLKPriceLists)
  end;

  TZoomGlidingLogAerotow = class(TLKRecordsGlidingLogAerotow)
  end;

  TZoomGlidingLogWinch = class(TLKRecordsGlidingLogWinch)
  end;

procedure Register;

implementation

procedure Register;
begin
  // RegisterComponents('ZoomGliding', [TZoomGlidingHubAccounts]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerNominal]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerCost]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerBank]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerCash]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerSales]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerPurchase]);
  RegisterComponents('ZoomGliding', [TZoomGlidingSalesTaxReturns]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookJournal]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookPettyCash]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookCash]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookBank]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookSales]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookPurchase]);
  RegisterComponents('ZoomGliding', [TZoomGlidingSalesTaxReturns]);
  RegisterComponents('ZoomGliding', [TZoomGlidingJournal]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDocumentsPettyCash]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDocumentsCashBook]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDocumentsBankBook]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDocumentsSalesInvoices]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDocumentsPurchaseInvoices]);
  RegisterComponents('ZoomGliding', [TZoomGlidingSalesManagers]);

  // Gliding components
  RegisterComponents('ZoomGliding', [TZoomGlidingClubMembers]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerLogGlider]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerLogTug]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerLogPilotGlider]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLedgerLogPilotTug]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookLogAerotow]);
  RegisterComponents('ZoomGliding', [TZoomGlidingDaybookLogWinch]);
  RegisterComponents('ZoomGliding', [TZoomGlidingPriceLists]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLogAerotow]);
  RegisterComponents('ZoomGliding', [TZoomGlidingLogWinch]);

end;

initialization

  RegisterClasses([  
  TZoomGlidingLedgerNominal,TZoomGlidingLedgerCost,TZoomGlidingLedgerCash,
  TZoomGlidingLedgerBank,TZoomGlidingLedgerSales,TZoomGlidingLedgerPurchase,
  TZoomGlidingSalesTaxReturns,TZoomGlidingDaybookJournal,TZoomGlidingDaybookCash,
  TZoomGlidingDaybookPettyCash,TZoomGlidingDaybookBank,TZoomGlidingDaybookSales,
  TZoomGlidingDaybookPurchase,TZoomGlidingJournal,TZoomGlidingDocumentsCashBook,
  TZoomGlidingDocumentsBankBook,TZoomGlidingDocumentsPettyCash,
  TZoomGlidingDocumentsPurchaseInvoices,TZoomGlidingDocumentsSalesInvoices,
  TZoomGlidingSalesManagers,TZoomGlidingClubMembers,TZoomGlidingLedgerLogGlider,
  TZoomGlidingLedgerLogTug,TZoomGlidingLedgerLogPilotGlider,
  TZoomGlidingLedgerLogPilotTug,TZoomGlidingDaybookLogAerotow,
  TZoomGlidingDaybookLogWinch,TZoomGlidingPriceLists,
  TZoomGlidingLogAerotow,TZoomGlidingLogWinch
  ]);
end.
